-- MySQL dump 10.14  Distrib 5.5.41-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: confdb
-- ------------------------------------------------------
-- Server version       5.5.41-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `version`
--

DROP TABLE IF EXISTS `version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `version` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `version` int(11) NOT NULL DEFAULT '0' COMMENT '版本号',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `version` (`version`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_audit`
--

DROP TABLE IF EXISTS `t_audit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_audit` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `version` varchar(32) NOT NULL DEFAULT '' COMMENT '版本',
  `model` int(11) NOT NULL DEFAULT '0' COMMENT '型号 1:Android 2:ios',
  `is_auditing` int(11) NOT NULL DEFAULT '0' COMMENT '是否审核中',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `model` (`model`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_login_annc`
--

DROP TABLE IF EXISTS `t_login_annc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_login_annc` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `annc_type` int(11) NOT NULL DEFAULT '0' COMMENT ' 1:最低版本支持公告 2：白名单版本公告 3：当前版本公告',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
  `version` varchar(32) NOT NULL DEFAULT '' COMMENT '版本',
  `platform` int(11) NOT NULL DEFAULT '0' COMMENT '平台 1:Android 2:ios',
  `click_type` int(11) NOT NULL DEFAULT '0' COMMENT ' 0:不能进游戏 1:可以进游戏',
  `enable` int(11) NOT NULL DEFAULT '0' COMMENT '是否生效',
  `content` text  DEFAULT '' COMMENT '内容',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `uk_annc_type_platform` (`annc_type`,`platform`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_game_switch`
--

DROP TABLE IF EXISTS `t_game_switch`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_game_switch` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `switch_name` varchar(60) NOT NULL COMMENT '功能名',
  `is_open` int(11) NOT NULL DEFAULT '0' COMMENT '是否开启',
  `audit_is_open` int(11) NOT NULL DEFAULT '0' COMMENT '审核模式是否开启',
  `server_list` varchar(20) NOT NULL DEFAULT '' COMMENT '服务器(列表空所有服)',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `switch_name` (`switch_name`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_game_annc`
--

DROP TABLE IF EXISTS `t_game_annc`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_game_annc` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `uniid` bigint NOT NULL DEFAULT '0' COMMENT '唯一Id',
  `title` varchar(255) NOT NULL COMMENT '公告标题',
  `content` text  DEFAULT '' COMMENT '内容',
  `begin_time` int(11) NOT NULL DEFAULT '0' COMMENT '开始时间',
  `end_time` int(11) NOT NULL DEFAULT '0' COMMENT '结束时间',
  `begin_date` int(11) NOT NULL DEFAULT '0' COMMENT '开始日期',
  `end_date` int(11) NOT NULL DEFAULT '0' COMMENT '结束日期',
  `is_open` int(11) NOT NULL DEFAULT '0' COMMENT '是否开启',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `uniid` (`uniid`),
  KEY `idx_begin_date` (`begin_date`),
  KEY `idx_end_date` (`end_date`),
  KEY `idx_begin_time` (`begin_time`),
  KEY `idx_end_time` (`end_time`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_super_whitelist`
--

DROP TABLE IF EXISTS `t_super_whitelist`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_super_whitelist` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `user_identity` varchar(60) NOT NULL COMMENT 'account_id or account_address or email',
  `enable` int(11) NOT NULL DEFAULT '0' COMMENT '是否生效',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `user_identity` (`user_identity`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_whitelist`
--

DROP TABLE IF EXISTS `t_whitelist`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_whitelist` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `user_identity` varchar(60) NOT NULL COMMENT 'account_id or account_address or email',
  `enable` int(11) NOT NULL DEFAULT '0' COMMENT '是否生效',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `user_identity` (`user_identity`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_blacklist`
--

DROP TABLE IF EXISTS `t_blacklist`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_blacklist` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `user_identity` varchar(60) NOT NULL COMMENT 'account_id or account_address or email',
  `enable` int(11) NOT NULL DEFAULT '0' COMMENT '是否生效',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `user_identity` (`user_identity`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_internal_gameapi_host`
--

DROP TABLE IF EXISTS `t_internal_gameapi_host`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_internal_gameapi_host` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `gameapi_host` varchar(60) NOT NULL COMMENT 'gameapi_host(ip)',
  `gameapi_port` int(11) NOT NULL DEFAULT '0' COMMENT 'gameapi_port',
  `enable` int(11) NOT NULL DEFAULT '0' COMMENT '是否生效',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `gameapi_host` (`gameapi_host`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_apigate_host`
--

DROP TABLE IF EXISTS `t_apigate_host`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_apigate_host` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `apigate_host` varchar(60) NOT NULL COMMENT 'apigate_host(ip)',
  `apigate_port` int(11) NOT NULL DEFAULT '0' COMMENT 'apigate_port',
  `enable` int(11) NOT NULL DEFAULT '0' COMMENT '是否生效',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `apigate_host` (`apigate_host`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-08-19 18:52:06
