-- MySQL dump 10.14  Distrib 5.5.41-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: maildb
-- ------------------------------------------------------
-- Server version       5.5.41-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `version`
--

DROP TABLE IF EXISTS `version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `version` (
  `idx` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `version` int(11) NOT NULL DEFAULT '0' COMMENT '版本号',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `version` (`version`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_friend_relationship`
--

DROP TABLE IF EXISTS `t_friend_relationship`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_friend_relationship` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id1` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '账号1',
  `account_id2` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '账号2',
  `add_time` int(11) NOT NULL DEFAULT '0' COMMENT '成为好友时间',
  `deleted` int(11) NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `del_time` int(11) NOT NULL DEFAULT '0' COMMENT '删除时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id1_account_id2` (`account_id1`, `account_id2`),
  KEY `account_id1` (`account_id1`),
  KEY `account_id2` (`account_id2`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_friend_apply`
--

DROP TABLE IF EXISTS `t_friend_apply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_friend_apply` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `sender_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '申请者id',
  `target_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '被申请者id',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT '0:未处理 1:同意 2：拒绝 3：忽略',
  `last_apply_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后申请时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `sender_id` (`sender_id`),
  KEY `target_id` (`target_id`),
  KEY `sender_id_target_id` (`sender_id`, `target_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_friend_blacklist`
--

DROP TABLE IF EXISTS `t_friend_blacklist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_friend_blacklist` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '账号',
  `block_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '被拉黑的账号',
  `add_time` int(11) NOT NULL DEFAULT '0' COMMENT '成为好友时间',
  `deleted` int(11) NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id_block_id` (`account_id`, `block_id`),
  KEY `account_id` (`account_id`),
  KEY `block_id` (`block_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_guild`
--

DROP TABLE IF EXISTS `t_guild`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_guild` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `guild_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '公会id',
  `guild_name` varchar(48) CHARACTER SET utf8 COMMENT '公会名字',
  `owner_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '公会长',
  `creator_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '公会创始人',
  `badge` int(11) DEFAULT '0' COMMENT '公会头像',
  `notice` varchar(20000) NOT NULL DEFAULT '',
  `join_cond_type` int(11) DEFAULT '0' COMMENT '公会加入类型 0 需要审批, 1 自由加入, 2 成员星星数条件',
  `join_cond_value` int(11) DEFAULT '0' COMMENT '星星数条件值',
  `total_stars` int(11) DEFAULT '0',
  `total_kills` int(11) DEFAULT '0',
  `chicken_dinners` int(11) DEFAULT '0',
  `max_members` int(11) DEFAULT '0',
  `deleted` int(11) NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `idx_guild_id` (`guild_id`),
  UNIQUE KEY `idx_guild_name` (`guild_name`),
  KEY `deleted` (`deleted`),
  KEY `owner_id` (`owner_id`),
  KEY `creator_id` (`creator_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_guild_member`
--

DROP TABLE IF EXISTS `t_guild_member`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_guild_member` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `guild_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '公会id',
  `member_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '成员id',
  `deleted` int(11) NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `guild_job` int(11) NOT NULL DEFAULT '0' COMMENT '1:公会长 20:副会长 30:精英 40:普通成员',
  `join_time` int(11) NOT NULL DEFAULT '0' COMMENT '加入时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `member_id` (`member_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_guild_apply`
--

DROP TABLE IF EXISTS `t_guild_apply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_guild_apply` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `guild_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '公会id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '申请者id',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT '0:未处理 1:同意 2：拒绝 3：忽略',
  `last_apply_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后申请时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `guild_id` (`guild_id`),
  KEY `account_id` (`account_id`),
  KEY `guild_id_account_id` (`guild_id`, `account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_guild_log`
--

DROP TABLE IF EXISTS `t_guild_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_guild_log` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `guild_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '公会id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '申请者id',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT '0:未处理 1:同意 2：拒绝 3：忽略',
  `last_apply_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后申请时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `guild_id` (`guild_id`),
  KEY `account_id` (`account_id`),
  KEY `guild_id_account_id` (`guild_id`, `account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_recent_battle`
--

DROP TABLE IF EXISTS `t_recent_battle`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_recent_battle` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id1` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '账号1',
  `account_id2` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '账号2',
  `last_battle_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后战斗时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `last_battle_time` (`last_battle_time`),
  KEY `account_id1_account_id2` (`account_id1`, `account_id2`),
  KEY `account_id2` (`account_id2`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_log`
--

DROP TABLE IF EXISTS `t_log`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_log` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `log_type` varchar(255) NOT NULL DEFAULT '' COMMENT '日志类型',
  `log_subtype` varchar(255) NOT NULL DEFAULT '' COMMENT '日志子类型',
  `param1` varchar(666) NOT NULL DEFAULT '' COMMENT 'param1',
  `param2` varchar(666) NOT NULL DEFAULT '' COMMENT 'param2',
  `param3` varchar(666) NOT NULL DEFAULT '' COMMENT 'param3',
  `param4` varchar(666) NOT NULL DEFAULT '' COMMENT 'param4',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `account_id_type_subtype` (`account_id`, `log_type`, `log_subtype`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-08-19 18:52:06
