const common = require('./common');

module.exports = class {

  constructor() {
    this.apis = [
      {
        'method': 'POST',
        'name': 'login',
        'desc': '用户登录',
        'group': 'User',
        'url': 'api/v1/user/login',
        'header': [
        ],
        'is_json_params': true,
        'params': [
          ['account', '', '账号'],
          ['passwd', '', '密码'],
        ],
        'response': [
          new common.RspHead(),
        ]
      },
      {
        'method': 'GET',
        'name': 'info',
        'desc': '获取用户信息',
        'group': 'User',
        'url': 'api/v1/user/info/:user_id',
        'uri_params': [
          ['user_id', '', 'user_id'],
        ],
        'response': [
          new common.RspHead(),
        ]
      },
      {
        'method': 'GET',
        'name': 'api/v1/user/getNonce',
        'desc': '获取nonce',
        'group': 'User',
        'url': 'api/v1/user/getNonce',
        'uri_params': [
          ['account', '', 'account'],
        ],
        'response': [
          new common.RspHead(),
          ['data', '', 'nonce']
        ]
      },
      {
        'method': 'POST',
        'name': 'metamask_login',
        'desc': 'metamask用户登录',
        'group': 'User',
        'url': 'api/v1/user/metamask_login',
        'header': [
        ],
        'is_json_params': true,
        'params': [
          ['account', '', 'account'],
          ['nonce', '', 'nonce'],
          ['signature', '', 'signature'],
          ['tips', '', 'tips'],
        ],
        'response': [
          new common.RspHead(),
        ]
      },
    ];
  }

};
