package app

import (
	//"crypto/md5"
	//"encoding/hex"
	"f5"
	//"fmt"
	"main/constant"
	"main/mt"
	"main/task"
	//"sync"
	//"time"
)

type app struct {
	initCb   func()
	unInitCb func()
}

func (this *app) GetPkgName() string {
	return "adminserver"
}

func (this *app) GetHttpListenPort() int32 {
	return 3000
}

func (this *app) Run(initCb func(), unInitCb func()) {
	this.initCb = initCb
	this.unInitCb = unInitCb
	f5.Run(this)
}

func (this *app) Init() {
	f5.LoadMetaTable(mt.Table)
	this.registerDataSources()
	task.TaskMgr.Init()
	this.initCb()
}

func (this *app) UnInit() {
	task.TaskMgr.UnInit()
	this.unInitCb()
}

func (this *app) Update() {
}

func (this *app) registerDataSources() {
	f5.GetApp().RegisterOrmDb(
		constant.ADMIN_DB,
		mt.Table.AdminDb.GetById(0).GetHost(),
		mt.Table.AdminDb.GetById(0).GetPort(),
		mt.Table.AdminDb.GetById(0).GetUser(),
		mt.Table.AdminDb.GetById(0).GetPasswd(),
		mt.Table.AdminDb.GetById(0).GetDatabase(),
	)
	f5.GetApp().RegisterOrmDb(
		constant.ACCOUNT_DB,
		mt.Table.AccountDb.GetById(0).GetHost(),
		mt.Table.AccountDb.GetById(0).GetPort(),
		mt.Table.AccountDb.GetById(0).GetUser(),
		mt.Table.AccountDb.GetById(0).GetPasswd(),
		mt.Table.AccountDb.GetById(0).GetDatabase(),
	)
	f5.GetApp().RegisterOrmDb(
		constant.MAIL_DB,
		mt.Table.MailDb.GetById(0).GetHost(),
		mt.Table.MailDb.GetById(0).GetPort(),
		mt.Table.MailDb.GetById(0).GetUser(),
		mt.Table.MailDb.GetById(0).GetPasswd(),
		mt.Table.MailDb.GetById(0).GetDatabase(),
	)
	f5.GetApp().RegisterOrmDb(
		constant.CONF_DB,
		mt.Table.ConfDb.GetById(0).GetHost(),
		mt.Table.ConfDb.GetById(0).GetPort(),
		mt.Table.ConfDb.GetById(0).GetUser(),
		mt.Table.ConfDb.GetById(0).GetPasswd(),
		mt.Table.ConfDb.GetById(0).GetDatabase(),
	)
	f5.GetGoStyleDb().RegisterDataSource(
		constant.MAIL_DB,
		mt.Table.MailDb.GetById(0).GetHost(),
		mt.Table.MailDb.GetById(0).GetPort(),
		mt.Table.MailDb.GetById(0).GetUser(),
		mt.Table.MailDb.GetById(0).GetPasswd(),
		mt.Table.MailDb.GetById(0).GetDatabase(),
		1,
		mt.Table.MailDb.GetById(0).GetMaxOpenConns(),
		mt.Table.MailDb.GetById(0).GetMaxIdleConns())
	f5.GetGoStyleDb().RegisterDataSource(
		constant.GAME_DB,
		mt.Table.GameDb.GetById(0).GetHost(),
		mt.Table.GameDb.GetById(0).GetPort(),
		mt.Table.GameDb.GetById(0).GetUser(),
		mt.Table.GameDb.GetById(0).GetPasswd(),
		mt.Table.GameDb.GetById(0).GetDatabase(),
		1,
		mt.Table.GameDb.GetById(0).GetMaxOpenConns(),
		mt.Table.GameDb.GetById(0).GetMaxIdleConns())
	f5.GetGoStyleDb().RegisterDataSource(
		constant.BCNFT_DB,
		mt.Table.NFTDb.GetById(0).GetHost(),
		mt.Table.NFTDb.GetById(0).GetPort(),
		mt.Table.NFTDb.GetById(0).GetUser(),
		mt.Table.NFTDb.GetById(0).GetPasswd(),
		mt.Table.NFTDb.GetById(0).GetDatabase(),
		1,
		mt.Table.NFTDb.GetById(0).GetMaxOpenConns(),
		mt.Table.NFTDb.GetById(0).GetMaxIdleConns())
	f5.GetGoStyleDb().RegisterDataSource(
		constant.CONF_DB,
		mt.Table.ConfDb.GetById(0).GetHost(),
		mt.Table.ConfDb.GetById(0).GetPort(),
		mt.Table.ConfDb.GetById(0).GetUser(),
		mt.Table.ConfDb.GetById(0).GetPasswd(),
		mt.Table.ConfDb.GetById(0).GetDatabase(),
		1,
		mt.Table.ConfDb.GetById(0).GetMaxOpenConns(),
		mt.Table.ConfDb.GetById(0).GetMaxIdleConns())
	f5.GetGoStyleDb().RegisterDataSource(
		constant.ACCOUNT_DB,
		mt.Table.AccountDb.GetById(0).GetHost(),
		mt.Table.AccountDb.GetById(0).GetPort(),
		mt.Table.AccountDb.GetById(0).GetUser(),
		mt.Table.AccountDb.GetById(0).GetPasswd(),
		mt.Table.AccountDb.GetById(0).GetDatabase(),
		1,
		mt.Table.AccountDb.GetById(0).GetMaxOpenConns(),
		mt.Table.AccountDb.GetById(0).GetMaxIdleConns())
}

func (this *app) HasTask() bool {
	return false
}
