package middleware

import (
	. "main/global"
	"net/http"

	"github.com/gin-gonic/gin"
)

/*
 */
func Auth() gin.HandlerFunc {
	return func(c *gin.Context) {
		token := c.Request.Header.Get("Authorization")
		s := GetSessionMgr().GetSessionByToken(token)
		if s == nil {
			c.JSON(http.StatusOK, gin.H{
				"code":    50014,
				"message": "未登录或非法访问",
			})
			c.Abort()
			return
		}
		c.Set("session", s)
	}
}
