package middleware

import (
	"main/common"
	"net/http"

	"main/mt"

	"github.com/gin-gonic/gin"
)

/*
 */
func Permission(funcName string, cb func(*gin.Context)) gin.HandlerFunc {
	return func(c *gin.Context) {
		s := c.MustGet("session").(common.Session)
		acc := s.GetAccountAddress()
		if mt.Table.Permission.CheckAPIPermission(acc, funcName) {
			if ActLog(c) {
				cb(c)
			} else {
				c.JSON(http.StatusOK, gin.H{
					"code":    3,
					"message": "Request Too Long",
				})
			}
		} else {
			c.JSON(http.StatusOK, gin.H{
				"code":    3,
				"message": "No Permission",
			})
		}
	}
}
