package system

type Annc struct {
	Idx        int64  `json:"idx"`
	AnncType   int32  `json:"annc_type" binding:"required"`
	Title      string `json:"title" binding:"required" `
	Version    string `json:"version" binding:"required" `
	PlatForm   int32  `gorm:"column:platform" json:"platform" binding:"required"`
	ClickType  int32  `json:"click_type"`
	Enable     int32  `json:"enable"`
	Content    string `json:"content" binding:"required" `
	CreateTime int32  `gorm:"column:createtime" json:"-"`
	ModifyTime int32  `gorm:"column:modifytime" json:"-"`
}

func (this Annc) TableName() string {
	return "t_login_annc"
}

type IngameAnnc struct {
	Idx        uint64 `json:"idx"`
	Uniid      uint64 `json:"uniid"`
	Title      string `json:"title" binding:"required"`
	Content    string `json:"content" binding:"required"`
	BeginTime  int32  `json:"begin_time" binding:"required"`
	EndTime    int32  `json:"end_time" binding:"required"`
	BeginDate  int32  `json:"begin_date" binding:"required"`
	EndDate    int32  `json:"end_date" binding:"required"`
	IsOpen     uint   `json:"is_open"`
	CreateTime int32  `gorm:"column:createtime" json:"-"`
	ModifyTime int32  `gorm:"column:modifytime" json:"-"`
}

func (this IngameAnnc) TableName() string {
	return "t_game_annc"
}
