package system

import (
	"f5"
	"q5"
)

type Hero struct {
	Idx                       int64  `json:"idx"`
	Token_id                  string `gorm:"uniqueIndex;comment:token_id" json:"token_id"`
	Account_id                string `gorm:"comment:用户id" json:"account_id"`
	Hero_id                   int    `gorm:"comment:英雄id" json:"hero_id"`
	Hero_tili                 string `gorm:"comment:英雄体力" json:"hero_tili"`
	State                     int    `gorm:"comment:0：已购买 1：体验中" json:"state"`
	Skin_id                   int    `gorm:"comment:皮肤id" json:"skin_id"`
	Hero_lv                   int    `gorm:"comment:英雄等级" json:"hero_lv"`
	Quality                   int    `gorm:"comment:品阶" json:"quality"`
	Skill_lv1                 int    `gorm:"comment:必杀技等级" json:"skill_lv1"`
	Skill_lv2                 int    `gorm:"comment:躲避技能等级" json:"skill_lv2"`
	Try_count                 int    `gorm:"comment:剩余体验次数 当state=1时才有意义" json:"try_count"`
	Advanced_count            int    `gorm:"comment:进阶次数" json:"advanced_count"`
	Lock_type                 int    `gorm:"comment:0:无锁 1:升级 2:升阶 3:悬赏" json:"lock_type"`
	Unlock_time               int    `gorm:"comment:解锁时间" json:"unlock_time"`
	Unlock_trade_time         int    `gorm:"comment:出售解锁时间" json:"unlock_trade_time"`
	Rand_attr                 string `gorm:"comment:随机属性" json:"rand_attr"`
	Today_get_gold            int64  `gorm:"comment:今日获得金币" json:"today_get_gold"`
	Last_get_gold_time        int    `gorm:"comment:最后获得金币时间" json:"last_get_gold_time"`
	Today_pve_get_ceg         int64  `gorm:"comment:pve金币" json:"today_pve_get_ceg"`
	Last_pve_get_ceg_time     int    `gorm:"comment:最后获得pve金币时间" json:"last_pve_get_ceg_time"`
	Today_mission_get_ceg     int    `gorm:"comment:悬赏任务获得金币" json:"today_mission_get_ceg"`
	Last_mission_get_ceg_time int    `gorm:"comment:最后获得悬赏任务金币时间" json:"last_mission_get_ceg_time"`
	Createtime                int    `gorm:"comment:创建时间" json:"createtime"`
	Modifytime                int    `gorm:"comment:修改时间" json:"modifytime"`
	Chip_ids                  string `gorm:"comment:已镶嵌的芯片idx组" json:"chip_ids"`
	Skill_common              string `gorm:"comment:通用技能" json:"Skill_common"`
	Skill_points              int    `gorm:"comment:技能点" json:"skill_points"`
	Labour                    int    `gorm:"comment:劳力值" json:"labour"`
	Active_token_id           string `gorm:"comment:active_token_id" json:"active_token_id"`
	Active_count              int    `gorm:"comment:active_count" json:"active_count"`
	Active                    int    `gorm:"comment:是否激活 1：已初始激活" json:"active"`
	Wealth_attr               string `gorm:"comment:财富值属性" json:"wealth_attr"`
	Activate_time             int    `gorm:"comment:激活时间" json:"activate_time"`
	Seal_type                 int    `gorm:"comment:0:未封存 1：已封存" json:"seal_type"`
	Unseal_time               int    `gorm:"comment:解封时间" json:"unseal_time"`
	Is_old                    int    `gorm:"comment:0:展示红点 1:不用展示" json:"is_old"`
	On_chain_time             int    `gorm:"comment:上链时间" json:"on_chain_time"`
}

func (this *Hero) TableName() string {
	return "t_hero"
}

func (this *Hero) LoadFromDs(ds *f5.DataSet) {
	this.Idx = q5.ToInt64(ds.GetByName("idx"))
	this.Token_id = ds.GetByName("token_id")
	this.Account_id = ds.GetByName("account_id")
	this.Hero_id = q5.ToInt(ds.GetByName("hero_id"))
	this.Hero_tili = ds.GetByName("hero_tili")
	this.State = q5.ToInt(ds.GetByName("state"))
	this.Skin_id = q5.ToInt(ds.GetByName("skin_id"))
	this.Hero_lv = q5.ToInt(ds.GetByName("hero_lv"))
	this.Quality = q5.ToInt(ds.GetByName("quality"))
	this.Skill_lv1 = q5.ToInt(ds.GetByName("skill_lv1"))
	this.Skill_lv2 = q5.ToInt(ds.GetByName("skill_lv2"))
	this.Try_count = q5.ToInt(ds.GetByName("try_count"))
	this.Advanced_count = q5.ToInt(ds.GetByName("advanced_count"))
	this.Lock_type = q5.ToInt(ds.GetByName("lock_type"))
	this.Unlock_time = q5.ToInt(ds.GetByName("unlock_time"))
	this.Unlock_trade_time = q5.ToInt(ds.GetByName("unlock_trade_time"))
	this.Rand_attr = ds.GetByName("rand_attr")
	this.Today_get_gold = q5.ToInt64(ds.GetByName("today_get_gold"))
	this.Last_get_gold_time = q5.ToInt(ds.GetByName("last_get_gold_time"))
	this.Today_pve_get_ceg = q5.ToInt64(ds.GetByName("today_pve_get_ceg"))
	this.Last_pve_get_ceg_time = q5.ToInt(ds.GetByName("last_pve_get_ceg_time"))
	this.Today_mission_get_ceg = q5.ToInt(ds.GetByName("today_mission_get_ceg"))
	this.Last_mission_get_ceg_time = q5.ToInt(ds.GetByName("last_mission_get_ceg_time"))
	this.Createtime = q5.ToInt(ds.GetByName("createtime"))
	this.Modifytime = q5.ToInt(ds.GetByName("modifytime"))
	this.Chip_ids = ds.GetByName("chip_ids")
	this.Skill_common = ds.GetByName("skill_common")
	this.Skill_points = q5.ToInt(ds.GetByName("skill_points"))
	this.Labour = q5.ToInt(ds.GetByName("labour"))
	this.Active_token_id = ds.GetByName("active_token_id")
	this.Active_count = q5.ToInt(ds.GetByName("active_count"))
	this.Active = q5.ToInt(ds.GetByName("active"))
	this.Wealth_attr = ds.GetByName("wealth_attr")
	this.Activate_time = q5.ToInt(ds.GetByName("activate_time"))
	this.Seal_type = q5.ToInt(ds.GetByName("seal_type"))
	this.Unseal_time = q5.ToInt(ds.GetByName("unseal_time"))
	this.Is_old = q5.ToInt(ds.GetByName("is_old"))
	this.On_chain_time = q5.ToInt(ds.GetByName("on_chain_time"))
}
