package system

import (
	"main/common"
)

/*
Recipients:
   [
	 "account_id1",
	 "account_id2",
	 "@group_id1",
	 "@group_id2",
   ]

Attachments:
   [
	 {
	   "itemid": 100001,
	   "itemnum": 100
	 }
   ]
*/

type Mail struct {
	UniKey           string              `gorm:"column:unikey;<-:create" json:"unikey"`
	MailId           int64               `gorm:"primaryKey;column:mail_id;<-:create" json:"mail_id,string"`
	MailType         int32               `gorm:"column:mail_type;<-:create" json:"mail_type"`
	Subject          string              `gorm:"column:subject" json:"subject"`
	Content          string              `gorm:"column:content" json:"content"`
	Recipients       []string            `gorm:"column:recipients;serializer:json" json:"recipients"`
	Attachments      []common.Attachment `gorm:"column:attachments;serializer:json" json:"attachments"`
	Deleted          int32               `gorm:"column:deleted" json:"-"`
	SendTime         int32               `gorm:"column:sendtime" json:"sendtime"`
	UserRegStartTime int32               `gorm:"column:user_reg_start_time" json:"user_reg_start_time"`
	UserRegEndTime   int32               `gorm:"column:user_reg_end_time" json:"user_reg_end_time"`
	Tag1             int32               `gorm:"column:tag1;<-:create" json:"tag1"`
	Tag2             int32               `gorm:"column:tag2;<-:create" json:"tag2"`
	ExpireTime       int32               `gorm:"column:expiretime" json:"expiretime"`
	CreateTime       int32               `gorm:"column:createtime;<-:create" json:"createtime"`
	ModifyTime       int32               `gorm:"column:modifytime" json:"modifytime"`
	CreateAddress    string              `gorm:"column:create_address;<-:create" json:"create_address"`
	UpdateAddress    string              `gorm:"column:update_address" json:"update_address"`
}

func (Mail) TableName() string {
	return "t_mail"
}
