package system

import (
	"f5"
	"q5"
)

type MallItem struct {
	Idx                    int64   `json:"idx"`
	Order_id               string  `gorm:"comment:订单id" json:"order_id"`
	Order_type             int     `gorm:"comment:1:英雄 2:芯片 3:碎片 4:宝箱" json:"order_type"`
	Seller                 string  `gorm:"comment:seller" json:"seller"`
	Seller_address         string  `gorm:"comment:seller_address" json:"seller_address"`
	Goods_uniid            string  `gorm:"comment:物品id" json:"goods_uniid"`
	Item_id                int     `gorm:"comment:道具id" json:"item_id"`
	Item_num               int64   `gorm:"comment:物品数量" json:"item_num"`
	Price                  int64   `gorm:"comment:价格" json:"price"`
	Status                 int     `gorm:"comment:status" json:"status"`
	Buyer                  string  `gorm:"comment:购买成功者" json:"buyer"`
	Buy_ok_time            int     `gorm:"comment:购买成功时间" json:"buy_ok_time"`
	Last_modify_price_time int     `gorm:"comment:最后一次修改价格时间" json:"last_modify_price_time"`
	Createtime             int     `gorm:"comment:创建时间" json:"createtime"`
	Modifytime             int     `gorm:"comment:修改时间" json:"modifytime"`
	Order1                 int     `gorm:"comment:品质排序" json:"order1"`
	Unit_price             float32 `gorm:"comment:单价" json:"unit_price"`
}

func (mi *MallItem) TableName() string {
	return "t_ingame_mall"
}

func (mi *MallItem) LoadFromDs(ds *f5.DataSet) {
	mi.Idx = q5.ToInt64(ds.GetByName("idx"))
	mi.Order_id = ds.GetByName("order_id")
	mi.Order_type = q5.ToInt(ds.GetByName("order_type"))
	mi.Seller = ds.GetByName("seller")
	mi.Seller_address = ds.GetByName("seller_address")
	mi.Goods_uniid = ds.GetByName("goods_uniid")
	mi.Item_id = q5.ToInt(ds.GetByName("item_id"))
	mi.Item_num = q5.ToInt64(ds.GetByName("item_num"))
	mi.Price = q5.ToInt64(ds.GetByName("price"))
	mi.Status = q5.ToInt(ds.GetByName("status"))
	mi.Buyer = ds.GetByName("buyer")
	mi.Buy_ok_time = q5.ToInt(ds.GetByName("buy_ok_time"))
	mi.Last_modify_price_time = q5.ToInt(ds.GetByName("last_modify_price_time"))
	mi.Createtime = q5.ToInt(ds.GetByName("createtime"))
	mi.Modifytime = q5.ToInt(ds.GetByName("modifytime"))
	mi.Order1 = q5.ToInt(ds.GetByName("order1"))
	mi.Unit_price = q5.ToFloat32(ds.GetByName("unit_price"))
}
