package system

import (
	"f5"
	"q5"
)

type NFT struct {
	Idx                  int64  `json:"idx"`
	Owner_address        string `gorm:"comment:owner_address" json:"owner_address"`
	Creator_address      string `gorm:"comment:creator_address" json:"creator_address"`
	Token_id             string `gorm:"comment:token_id" json:"token_id"`
	Token_type           int    `gorm:"comment:nft类型 1:英雄 2:枪支 3:芯片 6:荣誉 7:徽章" json:"token_type"`
	Token_state          int    `gorm:"comment:0:正常状态 1:出售中 2:出租中" json:"token_state"`
	Item_id              int    `gorm:"comment:道具id" json:"item_id"`
	Deleted              int    `gorm:"comment:deleted" json:"deleted"`
	Confirm_count        int    `gorm:"comment:confirm_count" json:"confirm_count"`
	Confirm_block_number int64  `gorm:"comment:confirm_block_number" json:"confirm_block_number"`
	Tags                 string `gorm:"comment:tags" json:"tags"`
	Net_id               int64  `gorm:"comment:net_id" json:"net_id"`
	Contract_address     string `gorm:"comment:contract_address" json:"contract_address"`
	Createtime           int    `gorm:"comment:创建时间" json:"createtime"`
	Modifytime           int    `gorm:"comment:修改时间" json:"modifytime"`
	Last_owner_address   string `gorm:"comment:last_owner_address" json:"last_owner_address"`
}

func (this *NFT) TableName() string {
	return "t_nft"
}

func (this *NFT) LoadFromDs(ds *f5.DataSet) {
	this.Idx = q5.ToInt64(ds.GetByName("idx"))
	this.Owner_address = ds.GetByName("owner_address")
	this.Creator_address = ds.GetByName("creator_address")
	this.Token_id = ds.GetByName("token_id")
	this.Token_type = q5.ToInt(ds.GetByName("token_type"))
	this.Token_state = q5.ToInt(ds.GetByName("token_state"))
	this.Item_id = q5.ToInt(ds.GetByName("item_id"))
	this.Deleted = q5.ToInt(ds.GetByName("deleted"))
	this.Confirm_count = q5.ToInt(ds.GetByName("confirm_count"))
	this.Confirm_block_number = q5.ToInt64(ds.GetByName("confirm_block_number"))
	this.Tags = ds.GetByName("tags")
	this.Net_id = q5.ToInt64(ds.GetByName("net_id"))
	this.Contract_address = ds.GetByName("contract_address")
	this.Createtime = q5.ToInt(ds.GetByName("createtime"))
	this.Modifytime = q5.ToInt(ds.GetByName("modifytime"))
	this.Last_owner_address = ds.GetByName("last_owner_address")
}
