package system

import (
	"f5"
	"q5"
)

type Order struct {
	Idx                        int64  `json:"idx"`
	Order_id                   string `gorm:"comment:订单id" json:"order_id"`
	Chain                      string `gorm:"comment:chain" json:"chain"`
	Status                     string `gorm:"comment:status" json:"status"`
	Net_id                     int64  `gorm:"comment:net_id" json:"net_id"`
	Token_id                   string `gorm:"comment:token_id" json:"token_id"`
	Contract_address           string `gorm:"comment:contract_address" json:"contract_address"`
	Item_id                    int    `gorm:"comment:item_id" json:"item_id"`
	Hero_quality               int    `gorm:"comment:hero_quality" json:"hero_quality"`
	Price                      string `gorm:"comment:price" json:"price"`
	Start_time                 int    `gorm:"comment:start_time" json:"start_time"`
	End_time                   int    `gorm:"comment:end_time" json:"end_time"`
	Created_at                 int    `gorm:"comment:created_at" json:"created_at"`
	Updated_at                 int    `gorm:"comment:updated_at" json:"updated_at"`
	Event_id                   string `gorm:"comment:事件id" json:"event_id"`
	Event_data                 string `gorm:"comment:事件内容" json:"event_data"`
	Createtime                 int    `gorm:"comment:创建时间" json:"createtime"`
	Modifytime                 int    `gorm:"comment:修改时间" json:"modifytime"`
	Src_price_exchange_rate    int64  `gorm:"comment:src_price_exchange_rate" json:"src_price_exchange_rate"`
	Src_price_amount           string `gorm:"comment:src_price_amount" json:"src_price_amount"`
	Src_price_item_type        string `gorm:"comment:src_price_item_type" json:"src_price_item_type"`
	Src_price_contract_address string `gorm:"comment:src_price_contract_address" json:"src_price_contract_address"`
	Price_len                  int    `gorm:"comment:price_len" json:"price_len"`
}

func (this *Order) TableName() string {
	return "t_order"
}

func (this *Order) LoadFromDs(ds *f5.DataSet) {
	this.Idx = q5.ToInt64(ds.GetByName("idx"))
	this.Order_id = ds.GetByName("order_id")
	this.Chain = ds.GetByName("chain")
	this.Status = ds.GetByName("status")
	this.Net_id = q5.ToInt64(ds.GetByName("net_id"))
	this.Token_id = ds.GetByName("token_id")
	this.Contract_address = ds.GetByName("contract_address")
	this.Item_id = q5.ToInt(ds.GetByName("item_id"))
	this.Hero_quality = q5.ToInt(ds.GetByName("hero_quality"))
	this.Price = ds.GetByName("price")
	this.Start_time = q5.ToInt(ds.GetByName("start_time"))
	this.End_time = q5.ToInt(ds.GetByName("end_time"))
	this.Created_at = q5.ToInt(ds.GetByName("created_at"))
	this.Updated_at = q5.ToInt(ds.GetByName("updated_at"))
	this.Event_id = ds.GetByName("event_id")
	this.Event_data = ds.GetByName("event_data")
	this.Createtime = q5.ToInt(ds.GetByName("createtime"))
	this.Modifytime = q5.ToInt(ds.GetByName("modifytime"))
	this.Src_price_exchange_rate = q5.ToInt64(ds.GetByName("src_price_exchange_rate"))
	this.Src_price_amount = ds.GetByName("src_price_amount")
	this.Src_price_item_type = ds.GetByName("src_price_item_type")
	this.Src_price_contract_address = ds.GetByName("src_price_contract_address")
	this.Price_len = q5.ToInt(ds.GetByName("price_len"))
}
