package system

type RechargeOrder struct {
	Idx                 int64   `gorm:"column:idx" json:"idx"`
	Order_id            string  `gorm:"column:order_id;comment:订单id" json:"order_id"`
	Short_Order_id      string  `gorm:"column:short_order_id;comment:短订单id" json:"short_order_id"`
	Account_address     string  `gorm:"column:account_address;comment:钱包地址" json:"account_address"`
	Passport_address    string  `gorm:"column:passport_address;comment:passport地址" json:"passport_address"`
	Currency_address    string  `gorm:"column:currency_address;comment:货币地址" json:"currency_address"`
	Currency_name       string  `gorm:"column:currency_name;comment:货币名称" json:"currency_name"`
	Item_id             int     `gorm:"column:item_id;comment:item_id" json:"item_id"`
	Item_num            int64   `gorm:"column:item_num;comment:item_num" json:"item_num"`
	Price               string  `gorm:"column:price;comment:price" json:"price"`
	Createtime          int     `gorm:"column:createtime;comment:创建时间" json:"createtime"`
	Modifytime          int     `gorm:"column:modifytime;comment:修改时间" json:"modifytime"`
	Diamond             float64 `gorm:"column:diamond;comment:diamond" json:"diamond"`
	Pay_status          int     `gorm:"column:pay_status;comment:0:支付中 1:支付成功" json:"pay_status"`
	Pay_time            int     `gorm:"column:pay_time;comment:支付成功时间" json:"pay_time"`
	Delivery_status     int     `gorm:"column:delivery_status;comment:0:未发货 1:发货成功" json:"delivery_status"`
	Delivery_time       int     `gorm:"column:delivery_time;comment:发货成功时间" json:"delivery_time"`
	Receiver_account_id string  `gorm:"column:receiver_account_id;comment:收货人account_id" json:"receiver_account_id"`
	Net_id              int64   `gorm:"column:net_id;comment:net_id" json:"net_id"`
	Txhash              string  `gorm:"column:txhash;comment:txhash" json:"txhash"`
	Lower_case_email    string  `gorm:"column:lower_case_email;comment:lower_case_email" json:"lower_case_email"`
	Present_diamond     float64 `gorm:"column:present_diamond;comment:充值赠送钻石" json:"present_diamond"`
	Return_contribution float64 `gorm:"column:return_contribution;comment:return_contribution" json:"return_contribution"`
}

func (this *RechargeOrder) TableName() string {
	return "t_recharge_rder"
}
