package mt

import (
	"f5"
)

type table struct {
	AdminCluster       *AdminClusterTable
	Web3ServiceCluster *Web3ServiceClusterTable
	GameDb             *GameDbTable
	FriendDb           *FriendDbTable
	AccountDb          *AccountDbTable
	MailDb             *MailDbTable
	AdminDb            *AdminDbTable
	Config             *ConfigTable
	NFTDb              *NFTDbTable
	Permission         *PermissionTable
	ConfDb             *ConfDbTable
	Item               *ItemTable
	Contract           *ContractTable
	Chain              *ChainTable
}

var Table = f5.New(func(this *table) {
	this.AdminCluster = f5.New(func(this *AdminClusterTable) {
		this.FileName = "../config/adminserver.cluster.json"
		this.PrimKey = "instance_id"
	})

	this.Web3ServiceCluster = f5.New(func(this *Web3ServiceClusterTable) {
		this.FileName = "../config/web3service.cluster.json"
	})

	this.GameDb = f5.New(func(this *GameDbTable) {
		this.FileName = "../config/gamedb.mysql.json"
		this.PrimKey = ""
	})

	this.FriendDb = f5.New(func(this *FriendDbTable) {
		this.FileName = "../config/frienddb.mysql.json"
		this.PrimKey = ""
	})

	this.AccountDb = f5.New(func(this *AccountDbTable) {
		this.FileName = "../config/accountdb.mysql.json"
		this.PrimKey = ""
	})

	this.MailDb = f5.New(func(this *MailDbTable) {
		this.FileName = "../config/maildb.mysql.json"
		this.PrimKey = ""
	})

	this.AdminDb = f5.New(func(this *AdminDbTable) {
		this.FileName = "../config/admindb.mysql.json"
		this.PrimKey = ""
	})

	this.Config = f5.New(func(this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	})

	this.NFTDb = f5.New(func(this *NFTDbTable) {
		this.FileName = "../config/nftdb.mysql.json"
		this.PrimKey = ""
	})

	this.ConfDb = f5.New(func(this *ConfDbTable) {
		this.FileName = "../config/confdb.mysql.json"
		this.PrimKey = ""
	})

	this.Permission = new(PermissionTable)

	this.Contract = new(ContractTable)

	this.Item = f5.New(func(this *ItemTable) {
		this.FileName = "../res/item@item.json"
		this.PrimKey = "id"
	})

	this.Chain = f5.New(func(this *ChainTable) {
		this.FileName = "../config/erc20.json"
	})
})
