package mtb

import (
        "f5"
)

type AdminCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type Web3ServiceCluster struct {
        url string

        _flags1_ uint64
        _flags2_ uint64
}

type GameDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type FriendDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type AdminDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type AccountDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type MailDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        gameapi_url string

        _flags1_ uint64
        _flags2_ uint64
}

type NFTDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type ConfDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type Item struct {
        name string
        id int32
        type_ int32
        sub_type int32

        _flags1_ uint64
        _flags2_ uint64
}

type Erc20 struct {
        token_name string
        net_id int32
        rpc_url string
        account_address string
        token_address string

        _flags1_ uint64
        _flags2_ uint64
}

func (this *AdminCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *AdminCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *AdminCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *AdminCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *AdminCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *AdminCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Web3ServiceCluster) GetUrl() string {
        return this.url
}

func (this *Web3ServiceCluster) HasUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *GameDb) GetHost() string {
        return this.host
}

func (this *GameDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *GameDb) GetPort() int32 {
        return this.port
}

func (this *GameDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *GameDb) GetUser() string {
        return this.user
}

func (this *GameDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *GameDb) GetPasswd() string {
        return this.passwd
}

func (this *GameDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *GameDb) GetDatabase() string {
        return this.database
}

func (this *GameDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *GameDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *GameDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *GameDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *GameDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *FriendDb) GetHost() string {
        return this.host
}

func (this *FriendDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *FriendDb) GetPort() int32 {
        return this.port
}

func (this *FriendDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *FriendDb) GetUser() string {
        return this.user
}

func (this *FriendDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *FriendDb) GetPasswd() string {
        return this.passwd
}

func (this *FriendDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *FriendDb) GetDatabase() string {
        return this.database
}

func (this *FriendDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *FriendDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *FriendDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *FriendDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *FriendDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *AdminDb) GetHost() string {
        return this.host
}

func (this *AdminDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *AdminDb) GetPort() int32 {
        return this.port
}

func (this *AdminDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *AdminDb) GetUser() string {
        return this.user
}

func (this *AdminDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *AdminDb) GetPasswd() string {
        return this.passwd
}

func (this *AdminDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *AdminDb) GetDatabase() string {
        return this.database
}

func (this *AdminDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *AdminDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *AdminDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *AdminDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *AdminDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *AccountDb) GetHost() string {
        return this.host
}

func (this *AccountDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *AccountDb) GetPort() int32 {
        return this.port
}

func (this *AccountDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *AccountDb) GetUser() string {
        return this.user
}

func (this *AccountDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *AccountDb) GetPasswd() string {
        return this.passwd
}

func (this *AccountDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *AccountDb) GetDatabase() string {
        return this.database
}

func (this *AccountDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *AccountDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *AccountDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *AccountDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *AccountDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *MailDb) GetHost() string {
        return this.host
}

func (this *MailDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MailDb) GetPort() int32 {
        return this.port
}

func (this *MailDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MailDb) GetUser() string {
        return this.user
}

func (this *MailDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *MailDb) GetPasswd() string {
        return this.passwd
}

func (this *MailDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *MailDb) GetDatabase() string {
        return this.database
}

func (this *MailDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *MailDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *MailDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *MailDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *MailDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Config) GetGameapiUrl() string {
        return this.gameapi_url
}

func (this *Config) HasGameapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *NFTDb) GetHost() string {
        return this.host
}

func (this *NFTDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *NFTDb) GetPort() int32 {
        return this.port
}

func (this *NFTDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *NFTDb) GetUser() string {
        return this.user
}

func (this *NFTDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *NFTDb) GetPasswd() string {
        return this.passwd
}

func (this *NFTDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *NFTDb) GetDatabase() string {
        return this.database
}

func (this *NFTDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *NFTDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *NFTDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *NFTDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *NFTDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *ConfDb) GetHost() string {
        return this.host
}

func (this *ConfDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *ConfDb) GetPort() int32 {
        return this.port
}

func (this *ConfDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *ConfDb) GetUser() string {
        return this.user
}

func (this *ConfDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *ConfDb) GetPasswd() string {
        return this.passwd
}

func (this *ConfDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *ConfDb) GetDatabase() string {
        return this.database
}

func (this *ConfDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *ConfDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *ConfDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *ConfDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *ConfDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Item) GetName() string {
        return this.name
}

func (this *Item) HasName() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Item) GetId() int32 {
        return this.id
}

func (this *Item) HasId() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Item) GetType() int32 {
        return this.type_
}

func (this *Item) HasType() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Item) GetSubType() int32 {
        return this.sub_type
}

func (this *Item) HasSubType() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Erc20) GetTokenName() string {
        return this.token_name
}

func (this *Erc20) HasTokenName() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Erc20) GetNetId() int32 {
        return this.net_id
}

func (this *Erc20) HasNetId() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Erc20) GetRpcUrl() string {
        return this.rpc_url
}

func (this *Erc20) HasRpcUrl() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Erc20) GetAccountAddress() string {
        return this.account_address
}

func (this *Erc20) HasAccountAddress() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Erc20) GetTokenAddress() string {
        return this.token_address
}

func (this *Erc20) HasTokenAddress() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}


func (this *AdminCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *Web3ServiceCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.url, "url", &this._flags1_, 1, kv)
}

func (this *GameDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *FriendDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *AdminDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *AccountDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *MailDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameapi_url, "gameapi_url", &this._flags1_, 1, kv)
}

func (this *NFTDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *ConfDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *Item) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.name, "name", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.type_, "type", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.sub_type, "sub_type", &this._flags1_, 4, kv)
}

func (this *Erc20) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.token_name, "token_name", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.net_id, "net_id", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.rpc_url, "rpc_url", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.account_address, "account_address", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.token_address, "token_address", &this._flags1_, 5, kv)
}
