package router

import (
	"f5"
	"main/middleware"

	//. "main/global"
	"main/router/system"
)

type routerMgr struct {
	system system.RouterGroup
}

func (this *routerMgr) Init() {
	f5.GetApp().GetGinEngine().Use(middleware.Cors())
	priGroup := f5.GetApp().GetGinEngine().Group("api/v1")
	pubGroup := f5.GetApp().GetGinEngine().Group("api/v1")
	priGroup.Use(middleware.Auth())
	this.system.InitUserRouter(priGroup, pubGroup)
	this.system.InitAnncRouter(priGroup)
	this.system.InitAuditRouter(priGroup)
	this.system.InitMailRouter(priGroup)
	this.system.InitUserGroupRouter(priGroup)
	this.system.InitGroupMemberRouter(priGroup)
	this.system.InitBattleServerRouter(priGroup)
	this.system.InitPlayerRouter(priGroup)
	this.system.InitNFTRouter(priGroup)
	this.system.InitGameSwitchRouter(priGroup)
	this.system.InitBlockPlayerRouter(priGroup)
	this.system.InitWhiteListRouter(priGroup)
	this.system.InitActiveCodeRouter(priGroup)
	this.system.InitWorkerToolRouter(priGroup)

	f5.GetSysLog().Info("routerMgr.init")
}

func (this *routerMgr) UnInit() {

}
