package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type ActiveCodeRoute struct {
}

func (this *ActiveCodeRoute) InitActiveCodeRouter(priRouter *gin.RouterGroup) {
	group := priRouter.Group("active_code")
	api := v1.ApiGroupApp.SystemApiGroup.ActiveCodeApi
	{
		group.GET("gen", middleware.Permission("api/v1/active_code/gen", api.GenCode))
		group.POST("list", middleware.Permission("api/v1/active_code/list", api.List))
		group.GET("download", middleware.Permission("api/v1/active_code/download", api.DownloadFile))
	}
}