package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type BlockPlayerRoute struct {
}

func (this *BlockPlayerRoute) InitBlockPlayerRouter(priRouter *gin.RouterGroup) {
	group := priRouter.Group("block_player")
	api := v1.ApiGroupApp.SystemApiGroup.BlockPlayerApi
	{
		group.POST("add", middleware.Permission("api/v1/block_player/add", api.Add))
		group.POST("edit", middleware.Permission("api/v1/block_player/edit", api.Edit))
		// group.POST("del", middleware.Permission("api/v1/block_player/del", api.Del))
		group.POST("list", middleware.Permission("api/v1/block_player/list", api.List))
		group.POST("uploadExcel", middleware.Permission("api/v1/block_player/uploadExcel", api.UploadExcel))
	}
}
