package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type GroupMemberRoute struct {
}

func (this *GroupMemberRoute) InitGroupMemberRouter(priRouter *gin.RouterGroup) {
	group := priRouter.Group("group_member")
	api := v1.ApiGroupApp.SystemApiGroup.GroupMemberApi
	{
		group.POST("add", middleware.Permission("api/v1/group_member/add", api.Add))
		group.POST("edit", middleware.Permission("api/v1/group_member/edit", api.Edit))
		group.POST("del", middleware.Permission("api/v1/group_member/del", api.Del))
		group.GET("list", middleware.Permission("api/v1/group_member/list", api.List))
		group.POST("uploadExcel", middleware.Permission("api/v1/group_member/uploadExcel", api.UploadExcel))
	}
}
