package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type MailRoute struct{}

func (this *MailRoute) InitMailRouter(priRouter *gin.RouterGroup) {
	priUserRouter := priRouter.Group("mail")
	mailApi := v1.ApiGroupApp.SystemApiGroup.MailApi
	{
		priUserRouter.POST("add", middleware.Permission("api/v1/mail/add", mailApi.AddMail))
		priUserRouter.POST("edit", middleware.Permission("api/v1/mail/edit", mailApi.EditMail))
		priUserRouter.POST("list", middleware.Permission("api/v1/mail/list", mailApi.ListMail))
		priUserRouter.GET("del/:mailid", middleware.Permission("api/v1/mail/del", mailApi.DelMail))
	}
}
