package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type AnncRouter struct{}

func (this *AnncRouter) InitAnncRouter(priRouter *gin.RouterGroup) {
	priUserRouter := priRouter.Group("annc")
	anncApi := v1.ApiGroupApp.SystemApiGroup.AnncApi
	anncApi.Init()
	{
		priUserRouter.GET("anncList", middleware.Permission("api/v1/annc/anncList", anncApi.AnncList))
		// priUserRouter.POST("addAnnc", middleware.Permission("api/v1/annc/addAnnc", anncApi.AddAnnc))
		priUserRouter.PUT("updateAnnc/:idx", middleware.Permission("api/v1/annc/updateAnnc", anncApi.UpdateAnnc))

		priUserRouter.GET("anncIngameList", middleware.Permission("api/v1/annc/anncIngameList", anncApi.IngameAnncList))
		priUserRouter.POST("addIngameAnnc", middleware.Permission("api/v1/annc/addIngameAnnc", anncApi.AddIngameAnnc))
		priUserRouter.PUT("updateIngameAnnc/:idx", middleware.Permission("api/v1/annc/updateIngameAnnc", anncApi.UpdateIngameAnnc))
	}
}
