package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type NFTRouter struct{}

func (nr *NFTRouter) InitNFTRouter(priRouter *gin.RouterGroup) {
	group := priRouter.Group("nft")
	api := v1.ApiGroupApp.SystemApiGroup.NFTApi
	{
		group.POST("orderquery", middleware.Permission("api/v1/nft/orderquery", api.OrderQuery))
		group.POST("salequery", middleware.Permission("api/v1/nft/salequery", api.SaleQuery))
		group.POST("nftquery", middleware.Permission("api/v1/nft/nftquery", api.NFTQuery))
		group.POST("balancequery", middleware.Permission("api/v1/nft/balancequery", api.BalanceQuery))
	}
}
