package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type PlayerRouter struct{}

func (pr *PlayerRouter) InitPlayerRouter(priRouter *gin.RouterGroup) {
	group := priRouter.Group("player")
	api := v1.ApiGroupApp.SystemApiGroup.PlayerApi
	{
		group.POST("info", middleware.Permission("api/v1/player/info", api.Info))
		group.POST("bagquery", middleware.Permission("api/v1/player/bagquery", api.BagQuery))
		group.POST("heroesquery", middleware.Permission("api/v1/player/heroesquery", api.HeroesQuery))
		group.POST("goldbullionquery", middleware.Permission("api/v1/player/goldbullionquery", api.GoldBullionQuery))
		group.POST("ticketconsumequery", middleware.Permission("api/v1/player/ticketconsumequery", api.TicketConsumeQuery))
		group.POST("gamemallquery", middleware.Permission("api/v1/player/gamemallquery", api.GameMallQuery))
		group.POST("inapporderquery", middleware.Permission("api/v1/player/inapporderquery", api.InappOrderQuery))
		group.POST("rechargequery", middleware.Permission("api/v1/player/rechargequery", api.RechargeQuery))
		group.POST("vipbindquery", middleware.Permission("api/v1/player/vipbindquery", api.VipBindQuery))
		group.POST("vipuserquery", middleware.Permission("api/v1/player/vipuserquery", api.VipUserQuery))
	}
}
