package system

import (
	"github.com/gin-gonic/gin"
	"main/api/v1"
)

type UserRouter struct{}

func (this *UserRouter) InitUserRouter(priRouter *gin.RouterGroup,
	pubRouter *gin.RouterGroup) {
	priUserRouter := priRouter.Group("user")
	pubUserRouter := pubRouter.Group("user")
	userApi := v1.ApiGroupApp.SystemApiGroup.UserApi
	{
		pubUserRouter.POST("login", userApi.Login)
		pubUserRouter.GET("getNonce", userApi.GetNonce)
		pubUserRouter.POST("metamask_login", userApi.MetaMaskLogin)
	}
	{
		priUserRouter.GET("info", userApi.Info)
		priUserRouter.GET("logout", userApi.Logout)

	}
}
