package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type UserGroupRoute struct {
}

func (this *UserGroupRoute) InitUserGroupRouter(priRouter *gin.RouterGroup) {
	group := priRouter.Group("user_group")
	api := v1.ApiGroupApp.SystemApiGroup.UserGroupApi
	{
		group.POST("add", middleware.Permission("api/v1/user_group/add", api.Add))
		group.POST("edit", middleware.Permission("api/v1/user_group/edit", api.Edit))
		group.POST("del", middleware.Permission("api/v1/user_group/del", api.Del))
		group.GET("list", middleware.Permission("api/v1/user_group/list", api.List))
	}
}
