package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type WhiteListRoute struct {
}

func (this *WhiteListRoute) InitWhiteListRouter(priRouter *gin.RouterGroup) {
	group := priRouter.Group("white_list")
	api := v1.ApiGroupApp.SystemApiGroup.WhiteListApi
	{
		group.POST("add", middleware.Permission("api/v1/white_list/add", api.Add))
		group.POST("edit", middleware.Permission("api/v1/white_list/edit", api.Edit))
		// group.POST("del", middleware.Permission("api/v1/white_list/del", api.Del))
		group.POST("list", middleware.Permission("api/v1/white_list/list", api.List))
		group.POST("uploadExcel", middleware.Permission("api/v1/white_list/uploadExcel", api.UploadExcel))
	}

	{
		supergroup := priRouter.Group("super_whitelist")
		supergroup.POST("add", middleware.Permission("api/v1/super_whitelist/add", api.AddSuper))
		supergroup.POST("list", middleware.Permission("api/v1/super_whitelist/list", api.ListSuper))
		supergroup.POST("edit", middleware.Permission("api/v1/super_whitelist/edit", api.EditSuper))
	}
}
