package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type WorkerToolRoute struct {
}

func (this *WorkerToolRoute) InitWorkerToolRouter(priRouter *gin.RouterGroup) {
	group := priRouter.Group("gameapihost")
	api := v1.ApiGroupApp.SystemApiGroup.WorkerToolApi
	{
		group.POST("add", middleware.Permission("api/v1/gameapihost/add", api.AddGameApi))
		group.POST("edit", middleware.Permission("api/v1/gameapihost/edit", api.EditGameApi))
		group.POST("list", middleware.Permission("api/v1/gameapihost/list", api.ListGameApi))
	}

	{
		supergroup := priRouter.Group("apigate")
		supergroup.POST("add", middleware.Permission("api/v1/apigate/add", api.AddApiGate))
		supergroup.POST("list", middleware.Permission("api/v1/apigate/list", api.ListApiGate))
		supergroup.POST("edit", middleware.Permission("api/v1/apigate/edit", api.EditApiGate))
	}
}
