package session

import (
	"f5"
	"strings"
)

type session struct {
	accountAddress string
	token string
	loginTime int32
}


func (this *session) GetAccountAddress() string {
	return this.accountAddress
}

func (this *session) GetToken() string {
	return this.token
}

func (this *session) GetLoginTime() int32 {
	return this.loginTime
}

func newSession(accountAddress string, token string) *session {
	p := new(session)
	p.accountAddress = strings.ToLower(accountAddress)
	p.token = token
	p.loginTime = int32(f5.GetApp().GetRealSeconds())
	return p
}
