package app

import (
	"f5"
	"main/constant"
	"main/mt"
)

type app struct {
	initCb        func()
	unInitCb      func()
}

func (this *app) GetPkgName() string {
	return "backtask"
}

func (this *app) GetHttpListenPort() int32 {
	return mt.Table.BackTaskCluster.GetHttpListenPort()
}

func (this *app) Run(initCb func(), unInitCb func()) {
	this.initCb = initCb
	this.unInitCb = unInitCb
	f5.Run(this)
}

func (this *app) Init() {
	f5.LoadMetaTable(mt.Table)
	this.registerDataSources()

	this.initCb()
}

func (this *app) UnInit() {
	this.unInitCb()
}

func (this *app) Update() {
}

func (this *app) registerDataSources() {

	f5.GetGoStyleDb().RegisterDataSource(
		constant.MAIL_DB,
		mt.Table.MailDb.GetById(0).GetHost(),
		mt.Table.MailDb.GetById(0).GetPort(),
		mt.Table.MailDb.GetById(0).GetUser(),
		mt.Table.MailDb.GetById(0).GetPasswd(),
		mt.Table.MailDb.GetById(0).GetDatabase(),
		1,
		mt.Table.MailDb.GetById(0).GetMaxOpenConns(),
		mt.Table.MailDb.GetById(0).GetMaxIdleConns())

	f5.GetApp().RegisterOrmDb(
		constant.MAIL_DB,
		mt.Table.MailDb.GetById(0).GetHost(),
		mt.Table.MailDb.GetById(0).GetPort(),
		mt.Table.MailDb.GetById(0).GetUser(),
		mt.Table.MailDb.GetById(0).GetPasswd(),
		mt.Table.MailDb.GetById(0).GetDatabase())

	f5.GetGoStyleDb().RegisterDataSource(
		constant.GAME_DB,
		mt.Table.GameDb.GetById(0).GetHost(),
		mt.Table.GameDb.GetById(0).GetPort(),
		mt.Table.GameDb.GetById(0).GetUser(),
		mt.Table.GameDb.GetById(0).GetPasswd(),
		mt.Table.GameDb.GetById(0).GetDatabase(),
		1,
		mt.Table.GameDb.GetById(0).GetMaxOpenConns(),
		mt.Table.GameDb.GetById(0).GetMaxIdleConns())

	f5.GetGoStyleDb().RegisterDataSource(
		constant.BCNFT_DB,
		mt.Table.BcNftDb.GetById(0).GetHost(),
		mt.Table.BcNftDb.GetById(0).GetPort(),
		mt.Table.BcNftDb.GetById(0).GetUser(),
		mt.Table.BcNftDb.GetById(0).GetPasswd(),
		mt.Table.BcNftDb.GetById(0).GetDatabase(),
		1,
		mt.Table.BcNftDb.GetById(0).GetMaxOpenConns(),
		mt.Table.BcNftDb.GetById(0).GetMaxIdleConns())

	f5.GetGoStyleDb().RegisterDataSource(
		constant.BCEVENT_DB,
		mt.Table.BcEventDb.GetById(0).GetHost(),
		mt.Table.BcEventDb.GetById(0).GetPort(),
		mt.Table.BcEventDb.GetById(0).GetUser(),
		mt.Table.BcEventDb.GetById(0).GetPasswd(),
		mt.Table.BcEventDb.GetById(0).GetDatabase(),
		1,
		mt.Table.BcEventDb.GetById(0).GetMaxOpenConns(),
		mt.Table.BcEventDb.GetById(0).GetMaxIdleConns())

	f5.GetGoStyleDb().RegisterDataSource(
		constant.LOG_DB,
		mt.Table.LogDb.GetById(0).GetHost(),
		mt.Table.LogDb.GetById(0).GetPort(),
		mt.Table.LogDb.GetById(0).GetUser(),
		mt.Table.LogDb.GetById(0).GetPasswd(),
		mt.Table.LogDb.GetById(0).GetDatabase(),
		1,
		mt.Table.LogDb.GetById(0).GetMaxOpenConns(),
		mt.Table.LogDb.GetById(0).GetMaxIdleConns())

	f5.GetGoStyleDb().RegisterDataSource(
		constant.ACCOUNT_DB,
		mt.Table.AccountDb.GetById(0).GetHost(),
		mt.Table.AccountDb.GetById(0).GetPort(),
		mt.Table.AccountDb.GetById(0).GetUser(),
		mt.Table.AccountDb.GetById(0).GetPasswd(),
		mt.Table.AccountDb.GetById(0).GetDatabase(),
		1,
		mt.Table.AccountDb.GetById(0).GetMaxOpenConns(),
		mt.Table.AccountDb.GetById(0).GetMaxIdleConns())

}

func (this *app) HasTask() bool {
	return false
}
