package mt

import (
	"f5"
)

type table struct {
	BackTaskCluster   *BackTaskClusterTable
	GameDb         *GameDbTable
	MailDb         *MailDbTable
	BcEventDb       *BcEventDbTable
	BcNftDb       *BcNftDbTable
	LogDb       *LogDbTable
	AccountDb       *AccountDbTable
	Config         *ConfigTable
	Item      *ItemTable
	Language      *LanguageTable
	Mail *MailTable
	RankSeason     *RankSeasonTable
	HashRateCommon *HashRateCommonTable
	Contract *ContractTable
	BcCurrency *BcCurrencyTable
}

var Table = f5.New(func(this *table) {
	this.BackTaskCluster = f5.New(func(this *BackTaskClusterTable) {
		this.FileName = "../config/backtask.cluster.json"
		this.PrimKey = "instance_id"
	})

	this.GameDb = f5.New(func(this *GameDbTable) {
		this.FileName = "../config/gamedb.mysql.json"
		this.PrimKey = ""
	})

	this.MailDb = f5.New(func(this *MailDbTable) {
		this.FileName = "../config/maildb.mysql.json"
		this.PrimKey = ""
	})

	this.BcEventDb = f5.New(func(this *BcEventDbTable) {
		this.FileName = "../config/bceventdb.mysql.json"
		this.PrimKey = ""
	})

	this.BcNftDb = f5.New(func(this *BcNftDbTable) {
		this.FileName = "../config/bcnftdb.mysql.json"
		this.PrimKey = ""
	})

	this.LogDb = f5.New(func(this *LogDbTable) {
		this.FileName = "../config/logdb.mysql.json"
		this.PrimKey = ""
	})

	this.AccountDb = f5.New(func(this *AccountDbTable) {
		this.FileName = "../config/accountdb.mysql.json"
		this.PrimKey = ""
	})

	this.Config = f5.New(func(this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	})

	this.Item = f5.New(func(this *ItemTable) {
		this.FileName = "../res/item@item.json"
		this.PrimKey = "id"
	})

	this.Mail = new(MailTable)

	this.Language = f5.New(func(this *LanguageTable) {
		this.FileName = "../res/language@language.json"
		this.PrimKey = "info"
	})

	this.RankSeason = f5.New(func(this *RankSeasonTable) {
		this.FileName = "../res/rankSeason@rankSeason.json"
		this.PrimKey = "id"
	})

	this.HashRateCommon = f5.New(func(this *HashRateCommonTable) {
		this.FileName = "../res/HashrateCommon@HashrateCommon.json"
		this.PrimKey = "id"
	})

	this.Contract = new(ContractTable)

	this.BcCurrency= f5.New(func(this *BcCurrencyTable) {
		this.FileName = "../config/bc_currency.json"
		this.PrimKey = "name"
	})

})
