package task

import (
	"sync"
)

type taskMgr struct {
	goldBullionReturn
	openGoldLock sync.Mutex
	nftLock
	recharge
}

func (this *taskMgr) Init() {
	this.goldBullionReturn.init()
	this.nftLock.init()
	this.recharge.init()
}

func (this *taskMgr) UnInit() {
	this.recharge.unInit()
	this.nftLock.unInit()
	this.goldBullionReturn.unInit()
}

func (this *taskMgr) LockOpenGodBullion() {
	this.openGoldLock.Lock()
}

func (this *taskMgr) UnLockOpenGodBullion() {
	this.openGoldLock.Unlock()
}
