package ca

import (
	"q5"
	"f5"
	"main/constant"
	"encoding/json"
	"github.com/gin-gonic/gin"
)

type GameLogApi struct {

}

func (this *GameLogApi) CustomReport(c *gin.Context) {
	rspObj := struct {
		ErrCode int32 `json:"errcode"`
		ErrMsg  string `json:"errmsg"`
	}{}
	postContent, err := c.GetRawData()
	if err != nil || postContent == nil {
		c.JSON(200, rspObj)
		return
	}
	var data map[string]interface{}
	if err := json.Unmarshal(postContent, &data); err != nil {
		c.JSON(200, rspObj)
		return
	}
	nowTime := f5.GetApp().GetRealSeconds();

	accountId := c.DefaultQuery("account_id", "")
	sessionId := c.DefaultQuery("session_id", "")
	distinctId := c.DefaultQuery("localuuid", "")

	channel := c.DefaultQuery("channel", "")
	eventName := c.DefaultQuery("event_name", "")
	_os := c.DefaultQuery("_os", "")
	_net := c.DefaultQuery("_net", "")
	gameId := c.DefaultQuery("gameid", "")
	_serverTime := nowTime
	ip := c.Request.Header.Get("X-real-ip")

	if accountId != "" {
		data["account_id"] = accountId
		registerTime := f5.ExtractRegisterTimeFromSessionId(sessionId)
		registerDate := q5.FormatUnixDateTime(nowTime, f5.GetApp().GetLocation())
		data["account_register_utctime"] = registerTime
		data["account_register_date"] = registerDate
	}
	if distinctId != "" {
		data["localuuid"] = distinctId
	}
	data["channel"] = channel
	data["event_name"] = eventName
	data["_os"] = _os
	data["_net"] = _net
	data["gameid"] = gameId
	data["_server_time"] = _serverTime

	f5.GetTgLog().AddCustomLog(
		constant.GAME_ID,
		accountId,
		distinctId,
		ip,
		data)
	c.JSON(200, rspObj)
}
