package cs

import (
        "f5"
        proto "github.com/golang/protobuf/proto"
)

type CsNetMsgHandler f5.NetMsgHandler[MsgHandler];

type MsgHandlerImpl struct {
}

var handlers [2000]*CsNetMsgHandler

func GetNetMsgHandler(msgId uint16) *CsNetMsgHandler {
        handler := handlers[msgId]
        return handler
}

func DispatchMsg(handler *CsNetMsgHandler, hdr *f5.MsgHdr, msgHandler MsgHandler) {
        handler.Cb(hdr, msgHandler)
}

func RegHandlerId(msgId int, handlerId int) {
        handler := handlers[msgId]
        handler.HandlerId = handlerId
}

func ParsePb(msgId uint16, data []byte) interface{} {
        handler := handlers[msgId]
        if handler == nil {
                return nil
        }
        return handler.ParseCb(data)
}

type MsgHandler interface {
        CMPing(*f5.MsgHdr, *CMPing)
        CMLogin(*f5.MsgHdr, *CMLogin)
        CMReconnect(*f5.MsgHdr, *CMReconnect)
        CMCreateRoom(*f5.MsgHdr, *CMCreateRoom)
        CMSearchRoom(*f5.MsgHdr, *CMSearchRoom)
        CMJoinRoom(*f5.MsgHdr, *CMJoinRoom)
        CMDisbandRoom(*f5.MsgHdr, *CMDisbandRoom)
        CMLeaveRoom(*f5.MsgHdr, *CMLeaveRoom)
        CMModifyRoom(*f5.MsgHdr, *CMModifyRoom)
        CMStartGame(*f5.MsgHdr, *CMStartGame)
        CMSetPrepare(*f5.MsgHdr, *CMSetPrepare)
        CMKickoutTeam(*f5.MsgHdr, *CMKickoutTeam)
        CMKickoutMember(*f5.MsgHdr, *CMKickoutMember)
        CMCloseNotify(*f5.MsgHdr, *CMCloseNotify)
        CMReportPingValue(*f5.MsgHdr, *CMReportPingValue)
        CMGetCurrentRoom(*f5.MsgHdr, *CMGetCurrentRoom)
        CMEnterObserver(*f5.MsgHdr, *CMEnterObserver)
        CMLeaveObserver(*f5.MsgHdr, *CMLeaveObserver)
        CMSwitchTeam(*f5.MsgHdr, *CMSwitchTeam)
}

func (this *MsgHandlerImpl) CMPing(hdr *f5.MsgHdr, msg *CMPing) {
}

func (this *MsgHandlerImpl) CMLogin(hdr *f5.MsgHdr, msg *CMLogin) {
}

func (this *MsgHandlerImpl) CMReconnect(hdr *f5.MsgHdr, msg *CMReconnect) {
}

func (this *MsgHandlerImpl) CMCreateRoom(hdr *f5.MsgHdr, msg *CMCreateRoom) {
}

func (this *MsgHandlerImpl) CMSearchRoom(hdr *f5.MsgHdr, msg *CMSearchRoom) {
}

func (this *MsgHandlerImpl) CMJoinRoom(hdr *f5.MsgHdr, msg *CMJoinRoom) {
}

func (this *MsgHandlerImpl) CMDisbandRoom(hdr *f5.MsgHdr, msg *CMDisbandRoom) {
}

func (this *MsgHandlerImpl) CMLeaveRoom(hdr *f5.MsgHdr, msg *CMLeaveRoom) {
}

func (this *MsgHandlerImpl) CMModifyRoom(hdr *f5.MsgHdr, msg *CMModifyRoom) {
}

func (this *MsgHandlerImpl) CMStartGame(hdr *f5.MsgHdr, msg *CMStartGame) {
}

func (this *MsgHandlerImpl) CMSetPrepare(hdr *f5.MsgHdr, msg *CMSetPrepare) {
}

func (this *MsgHandlerImpl) CMKickoutTeam(hdr *f5.MsgHdr, msg *CMKickoutTeam) {
}

func (this *MsgHandlerImpl) CMKickoutMember(hdr *f5.MsgHdr, msg *CMKickoutMember) {
}

func (this *MsgHandlerImpl) CMCloseNotify(hdr *f5.MsgHdr, msg *CMCloseNotify) {
}

func (this *MsgHandlerImpl) CMReportPingValue(hdr *f5.MsgHdr, msg *CMReportPingValue) {
}

func (this *MsgHandlerImpl) CMGetCurrentRoom(hdr *f5.MsgHdr, msg *CMGetCurrentRoom) {
}

func (this *MsgHandlerImpl) CMEnterObserver(hdr *f5.MsgHdr, msg *CMEnterObserver) {
}

func (this *MsgHandlerImpl) CMLeaveObserver(hdr *f5.MsgHdr, msg *CMLeaveObserver) {
}

func (this *MsgHandlerImpl) CMSwitchTeam(hdr *f5.MsgHdr, msg *CMSwitchTeam) {
}

func (this *CMPing) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMPing)
}

func (this *SMPing) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMPing)
}

func (this *SMRpcError) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRpcError)
}

func (this *CMLogin) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMLogin)
}

func (this *SMLogin) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMLogin)
}

func (this *CMReconnect) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMReconnect)
}

func (this *SMReconnect) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMReconnect)
}

func (this *CMCreateRoom) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMCreateRoom)
}

func (this *SMCreateRoom) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMCreateRoom)
}

func (this *CMSearchRoom) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSearchRoom)
}

func (this *SMSearchRoom) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSearchRoom)
}

func (this *CMJoinRoom) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMJoinRoom)
}

func (this *SMJoinRoom) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMJoinRoom)
}

func (this *CMDisbandRoom) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMDisbandRoom)
}

func (this *SMDisbandRoom) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMDisbandRoom)
}

func (this *CMLeaveRoom) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMLeaveRoom)
}

func (this *SMLeaveRoom) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMLeaveRoom)
}

func (this *CMModifyRoom) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMModifyRoom)
}

func (this *SMModifyRoom) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMModifyRoom)
}

func (this *CMStartGame) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMStartGame)
}

func (this *SMStartGame) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMStartGame)
}

func (this *CMSetPrepare) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSetPrepare)
}

func (this *CMKickoutTeam) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMKickoutTeam)
}

func (this *CMKickoutMember) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMKickoutMember)
}

func (this *CMCloseNotify) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMCloseNotify)
}

func (this *CMReportPingValue) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMReportPingValue)
}

func (this *CMGetCurrentRoom) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMGetCurrentRoom)
}

func (this *SMGetCurrentRoom) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMGetCurrentRoom)
}

func (this *SMRoomMemberChangeNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRoomMemberChangeNotify)
}

func (this *SMRoomKickoutNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRoomKickoutNotify)
}

func (this *SMRoomLeaveNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRoomLeaveNotify)
}

func (this *SMRoomDisbandNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRoomDisbandNotify)
}

func (this *SMRoomChangeNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRoomChangeNotify)
}

func (this *SMAutoStartGameCountdownNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMAutoStartGameCountdownNotify)
}

func (this *SMRoomGameStartNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRoomGameStartNotify)
}

func (this *CMEnterObserver) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMEnterObserver)
}

func (this *SMEnterObserver) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMEnterObserver)
}

func (this *CMLeaveObserver) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMLeaveObserver)
}

func (this *SMLeaveObserver) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMLeaveObserver)
}

func (this *CMSwitchTeam) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSwitchTeam)
}

func (this *SMSwitchTeam) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSwitchTeam)
}

func init() {

        handlers[int(CMMessageIdE__CMPing)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMPing),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMPing{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMPing(hdr, hdr.Msg.(*CMPing))
                },
        }

        handlers[int(CMMessageIdE__CMLogin)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMLogin),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMLogin{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMLogin(hdr, hdr.Msg.(*CMLogin))
                },
        }

        handlers[int(CMMessageIdE__CMReconnect)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMReconnect),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMReconnect{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMReconnect(hdr, hdr.Msg.(*CMReconnect))
                },
        }

        handlers[int(CMMessageIdE__CMCreateRoom)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMCreateRoom),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMCreateRoom{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMCreateRoom(hdr, hdr.Msg.(*CMCreateRoom))
                },
        }

        handlers[int(CMMessageIdE__CMSearchRoom)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSearchRoom),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSearchRoom{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSearchRoom(hdr, hdr.Msg.(*CMSearchRoom))
                },
        }

        handlers[int(CMMessageIdE__CMJoinRoom)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMJoinRoom),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMJoinRoom{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMJoinRoom(hdr, hdr.Msg.(*CMJoinRoom))
                },
        }

        handlers[int(CMMessageIdE__CMDisbandRoom)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMDisbandRoom),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMDisbandRoom{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMDisbandRoom(hdr, hdr.Msg.(*CMDisbandRoom))
                },
        }

        handlers[int(CMMessageIdE__CMLeaveRoom)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMLeaveRoom),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMLeaveRoom{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMLeaveRoom(hdr, hdr.Msg.(*CMLeaveRoom))
                },
        }

        handlers[int(CMMessageIdE__CMModifyRoom)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMModifyRoom),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMModifyRoom{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMModifyRoom(hdr, hdr.Msg.(*CMModifyRoom))
                },
        }

        handlers[int(CMMessageIdE__CMStartGame)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMStartGame),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMStartGame{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMStartGame(hdr, hdr.Msg.(*CMStartGame))
                },
        }

        handlers[int(CMMessageIdE__CMSetPrepare)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSetPrepare),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSetPrepare{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSetPrepare(hdr, hdr.Msg.(*CMSetPrepare))
                },
        }

        handlers[int(CMMessageIdE__CMKickoutTeam)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMKickoutTeam),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMKickoutTeam{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMKickoutTeam(hdr, hdr.Msg.(*CMKickoutTeam))
                },
        }

        handlers[int(CMMessageIdE__CMKickoutMember)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMKickoutMember),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMKickoutMember{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMKickoutMember(hdr, hdr.Msg.(*CMKickoutMember))
                },
        }

        handlers[int(CMMessageIdE__CMCloseNotify)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMCloseNotify),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMCloseNotify{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMCloseNotify(hdr, hdr.Msg.(*CMCloseNotify))
                },
        }

        handlers[int(CMMessageIdE__CMReportPingValue)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMReportPingValue),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMReportPingValue{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMReportPingValue(hdr, hdr.Msg.(*CMReportPingValue))
                },
        }

        handlers[int(CMMessageIdE__CMGetCurrentRoom)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMGetCurrentRoom),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMGetCurrentRoom{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMGetCurrentRoom(hdr, hdr.Msg.(*CMGetCurrentRoom))
                },
        }

        handlers[int(CMMessageIdE__CMEnterObserver)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMEnterObserver),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMEnterObserver{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMEnterObserver(hdr, hdr.Msg.(*CMEnterObserver))
                },
        }

        handlers[int(CMMessageIdE__CMLeaveObserver)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMLeaveObserver),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMLeaveObserver{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMLeaveObserver(hdr, hdr.Msg.(*CMLeaveObserver))
                },
        }

        handlers[int(CMMessageIdE__CMSwitchTeam)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSwitchTeam),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSwitchTeam{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSwitchTeam(hdr, hdr.Msg.(*CMSwitchTeam))
                },
        }

}