package mt

import (
	"q5"
	"f5"
	"main/mtb"
)

type HallCluster struct {
	mtb.HallCluster
}

type HallClusterTable struct {
	f5.IdMetaTable[HallCluster]
	selfConf *HallCluster
	serverInfo string
}

func (this *HallCluster) Init1() {

}

func (this *HallClusterTable) GetIp() string {
	if f5.IsTestEnv() {
		return "127.0.0.1"
	} else {
		return q5.GetLocalIP()
	}
}

func (this *HallClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *HallClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *HallClusterTable) GetServerInfo() string {
	return this.serverInfo
}

func (this *HallClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("hallserver集群无法读取本服配置")
	}
	this.serverInfo = this.GetIp() + ":" + q5.ToString(this.GetListenPort())
}
