package mt

import (
	"f5"
)

type table struct {
	HallCluster *HallClusterTable
	MasterCluster *MasterClusterTable
	Config *ConfigTable
}

var Table = f5.New(func (this* table) {
	this.HallCluster = f5.New(func (this *HallClusterTable) {
		this.FileName = "../config/hallserver.cluster.json"
		this.PrimKey = "instance_id"
	});

	this.MasterCluster = f5.New(func (this *MasterClusterTable) {
		this.FileName = "../config/master.cluster.json"
		this.PrimKey = "instance_id"
	});

	this.Config = f5.New(func (this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	});
})
