package mtb

import (
        "f5"
)

type HallCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type MasterCluster struct {
        instance_id int32
        ip string
        listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        gameapi_url string
        auto_start_time int32
        game_start_notify_time int32
        delay_delete_time int32

        _flags1_ uint64
        _flags2_ uint64
}

func (this *HallCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *HallCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *HallCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *HallCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *HallCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *HallCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *MasterCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *MasterCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MasterCluster) GetIp() string {
        return this.ip
}

func (this *MasterCluster) HasIp() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MasterCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *MasterCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Config) GetGameapiUrl() string {
        return this.gameapi_url
}

func (this *Config) HasGameapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Config) GetAutoStartTime() int32 {
        return this.auto_start_time
}

func (this *Config) HasAutoStartTime() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Config) GetGameStartNotifyTime() int32 {
        return this.game_start_notify_time
}

func (this *Config) HasGameStartNotifyTime() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Config) GetDelayDeleteTime() int32 {
        return this.delay_delete_time
}

func (this *Config) HasDelayDeleteTime() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}


func (this *HallCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *MasterCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.ip, "ip", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 3, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameapi_url, "gameapi_url", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.auto_start_time, "auto_start_time", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.game_start_notify_time, "game_start_notify_time", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.delay_delete_time, "delay_delete_time", &this._flags1_, 4, kv)
}
