package room

import (
	"cs"
	"f5"
	"github.com/golang/protobuf/proto"
	"main/common"
	"q5"
)

type member struct {
	room                 *room
	joinTime             int64
	state                int32
	closeGameStartNotify bool
	teamEntry            q5.ListHead
	team                 *team
	hum                  common.Player
	isLeader             int32
}

func (this *member) init(room *room, hum common.Player) {
	this.room = room
	this.teamEntry.Init(this)
	this.hum = hum
	this.joinTime = f5.GetApp().GetNowSeconds()
}

func (this *member) unInit() {
	this.teamEntry.DelInit()
	delete(this.room.members, this.hum.GetAccountId())
	if this.hum.GetRoom() == this.room {
		this.hum.SetRoom(nil)
	}
	this.room = nil
	this.team = nil
}

func (this *member) setIsLeader() {
	this.isLeader = 1
}

func (this *member) fillMFMember(pb *cs.MFMember) {
	pb.AccountId = proto.String(this.hum.GetAccountId())
	pb.Name = proto.String(this.hum.GetName())
	pb.AvatarUrl = proto.String(this.hum.GetAvatarUrl())
	pb.HeroId = proto.String(this.hum.GetHeroId())
	pb.HeadFrame = proto.String(this.hum.GetHeadFrame())
	pb.State = proto.Int32(this.state)
	pb.IsLeader = proto.Int32(this.isLeader)
	pb.Ping = proto.Int32(this.hum.GetPing())
}

func newMember(room *room, hum common.Player) *member {
	m := new(member)
	m.init(room, hum)
	return m
}
