package constant

import (
	"f5"
)

const (
	APP_MODULE_IDX = iota
	WSPLISTENER_MODULE_IDX
	HANDLER_MGR_MODULE_IDX
	PLAYER_MGR_MODULE_IDX
	FRIEND_MGR_MODULE_IDX
	GUILD_MGR_MODULE_IDX
	CACHE_MGR_MODULE_IDX
	DBLOG_MGR_MODULE_IDX
	MAX_MODULE_IDX
)

const (
	PLAYER_MGR_HANDLER_ID   = 1
	PLAYER_HANDLER_ID       = 2
	WSP_LISTENER_HANDLER_ID = 3
)

const (
	IM_WSP_CLOSE = f5.IM_CUSTOM_MSG_BEGIN + 1
)

const (
	MAX_PACKET_LEN = 1024 * 64
	MAX_GUILD_TOP = 50
	MAX_GUILD_RECOMMEND = 50
)

const (
	GAME_DB   = "gamedb"
	FRIEND_DB = "firenddb"
	GAME_ID   = 2006
)

const (
	GUILD_UPDATE_FIELD_NOTICE = iota
	GUILD_UPDATE_FIELD_AVATAR
	GUILD_UPDATE_FIELD_NAME
	GUILD_UPDATE_FIELD_COND_TYPE
	GUILD_UPDATE_FIELD_COND_VALUE
)

const (
	MEMBER_LOCK_KEY = "member:"
	GUILD_ID_LOCK_KEY = "guild_id:"
	GUILD_NAME_LOCK_KEY = "guild_name:"
	GUILD_MEMBER_LOCK_KEY = "guild_member:"
	CACHE_LOCK_KEY = "cache:"
)

const (
	FRIEND_APPLY_STATUS_NONE = 0
	FRIEND_APPLY_STATUS_ACCEPT = 1
	FRIEND_APPLY_STATUS_REJECT = 2
	FRIEND_APPLY_STATUS_IGNORE = 3
)

const (
	GUILD_APPLY_STATUS_NONE = 0
	GUILD_APPLY_STATUS_ACCEPT = 1
	GUILD_APPLY_STATUS_REJECT = 2
	GUILD_APPLY_STATUS_IGNORE = 3
)

// im server friend
const (
	MaxFriendMembers     = 200
	MaxPendingFriendReqs = 20
	MaxBlockedMembers    = 50
	SearchWord           = 42 // 搜索关键字
	MaxSearchResults     = 20 // 搜索结果20条

	FriendshipStatusPending = 0 // 好友关系状态 等待中 pending
	FriendshipStatusOK      = 1 // 好友关系状态 接受 ok
	FriendshipStatusReject  = 2 // 好友关系状态 拒绝 reject
	FriendshipStatusDeleted = 3 // 好友关系状态 已删除 disband

	BlacklistStatusDefault   = 0 // 好友黑名单状态 是否已移除黑名单 默认0，添加进来 未移除
	BlacklistStatusIsRemoved = 1 // 好友黑名单状态 已移除黑名单

	OnlineStatusOff = 0 // 在线状态 离线
	OnlineStatus    = 1 // 在线状态 在线
)

// im server guild
const (
	RandomGuildCount           = 10
	GuildMaxMembers            = 30
	MaxMembersViceLeader       = 2
	MaxPendingReqs             = 10
	DefaultLogs                = 20
	LogTypeApprove             = 1 // 公会日志类型， 批准加入
	LogTypeLeave               = 2
	LogTypeDismiss             = 3
	LogTypeChangeLevel         = 4
	LogTypeDisband             = 6
	GuildMemberLevelLeader     = 1  // 成员等级, 会长
	GuildMemberLevelViceLeader = 20 // 成员等级, 副会长
	GuildMemberLevelElite      = 30 // 成员等级, 精英
	GuildMemberLevelDefault    = 40 // 成员等级, 普通成员
	JoinCondDefault            = 0  // 加入条件 0 需要审批
	JoinCondFree               = 1  // 加入条件 1 可直接加入
	JoinCondStar               = 2  // 加入条件 2 满足星星条件

	PendingReqIsJoinGuildStatusDefault = 0 // 等待验证请求状态, 0 等待审核
	PendingReqIsJoinGuildStatusJoined  = 1 // 等待验证请求状态, 1 已加入
	PendingReqIsJoinGuildStatusReject  = 2 // 等待验证请求状态, 2 拒绝
	PendingReqIsJoinGuildStatusDisband = 3 // 等待验证请求状态, 3 公会已解散

	// Event Names
	EVENT_GUILD_CREATE           = "event_guild_create"
	EVENT_GUILD_APPLY            = "event_guild_apply"
	EVENT_GUILD_APPROVE          = "event_guild_approve"
	EVENT_GUILD_REJECT           = "event_guild_reject"
	EVENT_GUILD_JOIN             = "event_guild_join"
	EVENT_GUILD_LEAVE            = "event_guild_leave"
	EVENT_GUILD_DISMISS_MEMBER   = "event_guild_dismiss_member"
	EVENT_GUILD_DISBAND          = "event_guild_disband"
	EVENT_GUILD_SET_MEMBER_LEVEL = "event_guild_set_member_level"
	EVENT_GUILD_SET_NAME         = "event_guild_set_name"
	EVENT_GUILD_SET_NOTICE       = "event_guild_set_notice"

	// Err code
	ERR_CODE_OK = 0

	// Login and Reconnect
	ERR_CODE_RECONNECT_PLAYER_NO_EXISTS           = 10001
	ERR_CODE_RECONNECT_PLAYER_SESSION_ID_NO_VALID = 10002

	// Friemds
	ERR_CODE_USERS_NO_EXISTS                = 11001
	ERR_CODE_FRIENDSHIP_IS_FULL             = 11002
	ERR_CODE_PENDING_REQUEST_IS_FULL        = 11003
	ERR_CODE_UPDATE_PENDING_REQUEST_DB_FAIL = 11004
	ERR_CODE_UPDATE_FRIENDSHIP_DB_FAIL      = 11005
	ERR_CODE_UPDATE_BLACKLIST_DB_FAIL       = 11006
	ERR_CODE_NO_IN_REQ                      = 11007
	ERR_CODE_USERS_IS_FULL                  = 11008
	ERR_CODE_USER_IN_BLACKLIST              = 11009
	ERR_CODE_USER_NOT_IN_BLACKLIST          = 11010
	ERR_CODE_BLACKLIST_FULL                 = 11011
	ERR_CODE_SEARCH_USERS_SIZE_FULL         = 11012
	ERR_CODE_SEARCH_USERS_DB_FAIL           = 11013
	ERR_CODE_SEARCH_USER_DB_RESULT_IS_NULL  = 11014
	ERR_CODE_SEARCH_USER_DB_FAIL            = 11015
	ERR_CODE_SEARCH_NO_RESULT               = 11016
	ERR_CODE_FRIEND_NO_EXISTS               = 11017
	ERR_CODE_ALREADY_FRIEND                 = 11018

	// Guild
	ERR_CODE_GUILD_NO_EXISTS                            = 12001
	ERR_CODE_JOINED_GUILD                               = 12002
	ERR_CODE_CREATE_GUILD_FAIL                          = 12003
	ERR_CODE_APPLY_GUILD_FAIL                           = 12004
	ERR_CODE_GUILD_MEMBER_NO_EXISTS                     = 12005
	ERR_CODE_GUILD_MEMBER_FULL                          = 12006
	ERR_CODE_GUILD_PENDING_REQUEST_NO_EXISTS            = 12007
	ERR_CODE_GUILD_NO_LEADER_PERM                       = 12008
	ERR_CODE_GUILD_BLOCKED_LEADER                       = 12009
	ERR_CODE_GUILD_OPERATOR_MEMBER_NO_PERM              = 12010
	ERR_CODE_GUILD_DISMISS_MEMBER_NO_PERM               = 12011
	ERR_CODE_CREATE_GUILD_DB_FAIL                       = 12013
	ERR_CODE_CREATE_GUILD_MEMBER_DB_FAIL                = 12014
	ERR_CODE_UPDATE_GUILD_DB_FAIL                       = 12015
	ERR_CODE_UPDATE_GUILD_MEMBER_DB_FAIL                = 12016
	ERR_CODE_UPDATE_GUILD_PENDING_REQUEST_DB_FAIL       = 12017
	ERR_CODE_REQUEST_PARAMS_ERROR                       = 12018
	ERR_CODE_GUILD_SETMEMBERLEVEL_VICE_LEADER_MAX_LIMIT = 12019
	ERR_CODE_GUILD_DUPLICATE_NAME                       = 12020
	ERR_CODE_GUILD_API_ERROR                            = 12021
	ERR_CODE_GUILD_NAME_TOO_LONG                        = 12022
)

const (
	RECOMMEND_TYPE_ALL = 0
	RECOMMEND_TYPE_USER = 1
	RECOMMEND_TYPE_RECENT_BATTLE = 2
)

const GUILD_RENAME_CARD_ITEM_ID = 90003
