package cs

import (
        "f5"
        proto "github.com/golang/protobuf/proto"
)

type CsNetMsgHandler f5.NetMsgHandler[MsgHandler];

type MsgHandlerImpl struct {
}

var handlers [2000]*CsNetMsgHandler

func GetNetMsgHandler(msgId uint16) *CsNetMsgHandler {
        handler := handlers[msgId]
        return handler
}

func DispatchMsg(handler *CsNetMsgHandler, hdr *f5.MsgHdr, msgHandler MsgHandler) {
        handler.Cb(hdr, msgHandler)
}

func RegHandlerId(msgId int, handlerId int) {
        handler := handlers[msgId]
        handler.HandlerId = handlerId
}

func ParsePb(msgId uint16, data []byte) interface{} {
        handler := handlers[msgId]
        if handler == nil {
                return nil
        }
        return handler.ParseCb(data)
}

type MsgHandler interface {
        CMPing(*f5.MsgHdr, *CMPing)
        CMLogin(*f5.MsgHdr, *CMLogin)
        CMReconnect(*f5.MsgHdr, *CMReconnect)
        CMSearchUser(*f5.MsgHdr, *CMSearchUser)
        CMSearchUserByAccountId(*f5.MsgHdr, *CMSearchUserByAccountId)
        CMAddFriendRequest(*f5.MsgHdr, *CMAddFriendRequest)
        CMAcceptFriendRequest(*f5.MsgHdr, *CMAcceptFriendRequest)
        CMRejectFriendRequest(*f5.MsgHdr, *CMRejectFriendRequest)
        CMListPendingFriendRequest(*f5.MsgHdr, *CMListPendingFriendRequest)
        CMListFriend(*f5.MsgHdr, *CMListFriend)
        CMDeleteFriendShip(*f5.MsgHdr, *CMDeleteFriendShip)
        CMBlacklist(*f5.MsgHdr, *CMBlacklist)
        CMAddBlacklist(*f5.MsgHdr, *CMAddBlacklist)
        CMRemoveBlacklist(*f5.MsgHdr, *CMRemoveBlacklist)
        CMInviteFriendMsg(*f5.MsgHdr, *CMInviteFriendMsg)
        CMRecommendList(*f5.MsgHdr, *CMRecommendList)
        CMSetStatus(*f5.MsgHdr, *CMSetStatus)
        CMSendChatMsg(*f5.MsgHdr, *CMSendChatMsg)
        CMReadMsgAndOpenChatNotify(*f5.MsgHdr, *CMReadMsgAndOpenChatNotify)
        CMSetCurrPrivateChatTarget(*f5.MsgHdr, *CMSetCurrPrivateChatTarget)
        CMCloseChatNotify(*f5.MsgHdr, *CMCloseChatNotify)
        CMGuildInfo(*f5.MsgHdr, *CMGuildInfo)
        CMRecommendGuildList(*f5.MsgHdr, *CMRecommendGuildList)
        CMGetTopGuildsByTotalStars(*f5.MsgHdr, *CMGetTopGuildsByTotalStars)
        CMCreateGuild(*f5.MsgHdr, *CMCreateGuild)
        CMApplyToGuild(*f5.MsgHdr, *CMApplyToGuild)
        CMApplyList(*f5.MsgHdr, *CMApplyList)
        CMApprove(*f5.MsgHdr, *CMApprove)
        CMReject(*f5.MsgHdr, *CMReject)
        CMLeaveGuild(*f5.MsgHdr, *CMLeaveGuild)
        CMDismissMember(*f5.MsgHdr, *CMDismissMember)
        CMSetMemberLevel(*f5.MsgHdr, *CMSetMemberLevel)
        CMGuildMembersList(*f5.MsgHdr, *CMGuildMembersList)
        CMDisband(*f5.MsgHdr, *CMDisband)
        CMSearchGuilds(*f5.MsgHdr, *CMSearchGuilds)
        CMGuildLogs(*f5.MsgHdr, *CMGuildLogs)
        CMSetName(*f5.MsgHdr, *CMSetName)
        CMSetAvatar(*f5.MsgHdr, *CMSetAvatar)
        CMSetNotice(*f5.MsgHdr, *CMSetNotice)
        CMSetJoinCond(*f5.MsgHdr, *CMSetJoinCond)
        CMRedDot(*f5.MsgHdr, *CMRedDot)
}

func (this *MsgHandlerImpl) CMPing(hdr *f5.MsgHdr, msg *CMPing) {
}

func (this *MsgHandlerImpl) CMLogin(hdr *f5.MsgHdr, msg *CMLogin) {
}

func (this *MsgHandlerImpl) CMReconnect(hdr *f5.MsgHdr, msg *CMReconnect) {
}

func (this *MsgHandlerImpl) CMSearchUser(hdr *f5.MsgHdr, msg *CMSearchUser) {
}

func (this *MsgHandlerImpl) CMSearchUserByAccountId(hdr *f5.MsgHdr, msg *CMSearchUserByAccountId) {
}

func (this *MsgHandlerImpl) CMAddFriendRequest(hdr *f5.MsgHdr, msg *CMAddFriendRequest) {
}

func (this *MsgHandlerImpl) CMAcceptFriendRequest(hdr *f5.MsgHdr, msg *CMAcceptFriendRequest) {
}

func (this *MsgHandlerImpl) CMRejectFriendRequest(hdr *f5.MsgHdr, msg *CMRejectFriendRequest) {
}

func (this *MsgHandlerImpl) CMListPendingFriendRequest(hdr *f5.MsgHdr, msg *CMListPendingFriendRequest) {
}

func (this *MsgHandlerImpl) CMListFriend(hdr *f5.MsgHdr, msg *CMListFriend) {
}

func (this *MsgHandlerImpl) CMDeleteFriendShip(hdr *f5.MsgHdr, msg *CMDeleteFriendShip) {
}

func (this *MsgHandlerImpl) CMBlacklist(hdr *f5.MsgHdr, msg *CMBlacklist) {
}

func (this *MsgHandlerImpl) CMAddBlacklist(hdr *f5.MsgHdr, msg *CMAddBlacklist) {
}

func (this *MsgHandlerImpl) CMRemoveBlacklist(hdr *f5.MsgHdr, msg *CMRemoveBlacklist) {
}

func (this *MsgHandlerImpl) CMInviteFriendMsg(hdr *f5.MsgHdr, msg *CMInviteFriendMsg) {
}

func (this *MsgHandlerImpl) CMRecommendList(hdr *f5.MsgHdr, msg *CMRecommendList) {
}

func (this *MsgHandlerImpl) CMSetStatus(hdr *f5.MsgHdr, msg *CMSetStatus) {
}

func (this *MsgHandlerImpl) CMSendChatMsg(hdr *f5.MsgHdr, msg *CMSendChatMsg) {
}

func (this *MsgHandlerImpl) CMReadMsgAndOpenChatNotify(hdr *f5.MsgHdr, msg *CMReadMsgAndOpenChatNotify) {
}

func (this *MsgHandlerImpl) CMSetCurrPrivateChatTarget(hdr *f5.MsgHdr, msg *CMSetCurrPrivateChatTarget) {
}

func (this *MsgHandlerImpl) CMCloseChatNotify(hdr *f5.MsgHdr, msg *CMCloseChatNotify) {
}

func (this *MsgHandlerImpl) CMGuildInfo(hdr *f5.MsgHdr, msg *CMGuildInfo) {
}

func (this *MsgHandlerImpl) CMRecommendGuildList(hdr *f5.MsgHdr, msg *CMRecommendGuildList) {
}

func (this *MsgHandlerImpl) CMGetTopGuildsByTotalStars(hdr *f5.MsgHdr, msg *CMGetTopGuildsByTotalStars) {
}

func (this *MsgHandlerImpl) CMCreateGuild(hdr *f5.MsgHdr, msg *CMCreateGuild) {
}

func (this *MsgHandlerImpl) CMApplyToGuild(hdr *f5.MsgHdr, msg *CMApplyToGuild) {
}

func (this *MsgHandlerImpl) CMApplyList(hdr *f5.MsgHdr, msg *CMApplyList) {
}

func (this *MsgHandlerImpl) CMApprove(hdr *f5.MsgHdr, msg *CMApprove) {
}

func (this *MsgHandlerImpl) CMReject(hdr *f5.MsgHdr, msg *CMReject) {
}

func (this *MsgHandlerImpl) CMLeaveGuild(hdr *f5.MsgHdr, msg *CMLeaveGuild) {
}

func (this *MsgHandlerImpl) CMDismissMember(hdr *f5.MsgHdr, msg *CMDismissMember) {
}

func (this *MsgHandlerImpl) CMSetMemberLevel(hdr *f5.MsgHdr, msg *CMSetMemberLevel) {
}

func (this *MsgHandlerImpl) CMGuildMembersList(hdr *f5.MsgHdr, msg *CMGuildMembersList) {
}

func (this *MsgHandlerImpl) CMDisband(hdr *f5.MsgHdr, msg *CMDisband) {
}

func (this *MsgHandlerImpl) CMSearchGuilds(hdr *f5.MsgHdr, msg *CMSearchGuilds) {
}

func (this *MsgHandlerImpl) CMGuildLogs(hdr *f5.MsgHdr, msg *CMGuildLogs) {
}

func (this *MsgHandlerImpl) CMSetName(hdr *f5.MsgHdr, msg *CMSetName) {
}

func (this *MsgHandlerImpl) CMSetAvatar(hdr *f5.MsgHdr, msg *CMSetAvatar) {
}

func (this *MsgHandlerImpl) CMSetNotice(hdr *f5.MsgHdr, msg *CMSetNotice) {
}

func (this *MsgHandlerImpl) CMSetJoinCond(hdr *f5.MsgHdr, msg *CMSetJoinCond) {
}

func (this *MsgHandlerImpl) CMRedDot(hdr *f5.MsgHdr, msg *CMRedDot) {
}

func (this *CMPing) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMPing)
}

func (this *SMPing) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMPing)
}

func (this *SMRpcError) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRpcError)
}

func (this *CMLogin) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMLogin)
}

func (this *SMLogin) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMLogin)
}

func (this *CMReconnect) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMReconnect)
}

func (this *SMReconnect) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMReconnect)
}

func (this *CMSearchUser) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSearchUser)
}

func (this *SMSearchUser) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSearchUser)
}

func (this *CMSearchUserByAccountId) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSearchUserByAccountId)
}

func (this *SMSearchUserByAccountId) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSearchUserByAccountId)
}

func (this *CMAddFriendRequest) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMAddFriendRequest)
}

func (this *SMAddFriendRequest) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMAddFriendRequest)
}

func (this *CMAcceptFriendRequest) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMAcceptFriendRequest)
}

func (this *SMAcceptFriendRequest) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMAcceptFriendRequest)
}

func (this *CMRejectFriendRequest) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMRejectFriendRequest)
}

func (this *SMRejectFriendRequest) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRejectFriendRequest)
}

func (this *CMListPendingFriendRequest) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMListPendingFriendRequest)
}

func (this *SMListPendingFriendRequest) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMListPendingFriendRequest)
}

func (this *CMListFriend) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMListFriend)
}

func (this *SMListFriend) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMListFriend)
}

func (this *CMDeleteFriendShip) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMDeleteFriendShip)
}

func (this *SMDeleteFriendShip) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMDeleteFriendShip)
}

func (this *CMBlacklist) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMBlacklist)
}

func (this *SMBlacklist) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMBlacklist)
}

func (this *CMAddBlacklist) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMAddBlacklist)
}

func (this *SMAddBlacklist) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMAddBlacklist)
}

func (this *CMRemoveBlacklist) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMRemoveBlacklist)
}

func (this *SMRemoveBlacklist) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRemoveBlacklist)
}

func (this *CMInviteFriendMsg) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMInviteFriendMsg)
}

func (this *SMInviteFriendMsg) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMInviteFriendMsg)
}

func (this *CMRecommendList) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMRecommendList)
}

func (this *SMRecommendList) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRecommendList)
}

func (this *CMSetStatus) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSetStatus)
}

func (this *SMSetStatus) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSetStatus)
}

func (this *CMSendChatMsg) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSendChatMsg)
}

func (this *CMReadMsgAndOpenChatNotify) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMReadMsgAndOpenChatNotify)
}

func (this *CMSetCurrPrivateChatTarget) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSetCurrPrivateChatTarget)
}

func (this *CMCloseChatNotify) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMCloseChatNotify)
}

func (this *SMUpdateChatRedPointNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMUpdateChatRedPointNotify)
}

func (this *SMChatMsgNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMChatMsgNotify)
}

func (this *SMUpdateRedPointNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMUpdateRedPointNotify)
}

func (this *SMUpdatePrivateChatRedPointNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMUpdatePrivateChatRedPointNotify)
}

func (this *SMUpdateChatChannelLastId) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMUpdateChatChannelLastId)
}

func (this *CMGuildInfo) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMGuildInfo)
}

func (this *SMGuildInfo) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMGuildInfo)
}

func (this *CMRecommendGuildList) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMRecommendGuildList)
}

func (this *SMRecommendGuildList) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRecommendGuildList)
}

func (this *CMGetTopGuildsByTotalStars) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMGetTopGuildsByTotalStars)
}

func (this *SMGetTopGuildsByTotalStars) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMGetTopGuildsByTotalStars)
}

func (this *CMCreateGuild) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMCreateGuild)
}

func (this *SMCreateGuild) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMCreateGuild)
}

func (this *CMApplyToGuild) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMApplyToGuild)
}

func (this *SMApplyToGuild) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMApplyToGuild)
}

func (this *SMApplyToGuildNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMApplyToGuildNotify)
}

func (this *CMApplyList) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMApplyList)
}

func (this *SMApplyList) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMApplyList)
}

func (this *CMApprove) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMApprove)
}

func (this *SMApprove) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMApprove)
}

func (this *SMApproveJoinGuildNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMApproveJoinGuildNotify)
}

func (this *CMReject) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMReject)
}

func (this *SMReject) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMReject)
}

func (this *CMLeaveGuild) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMLeaveGuild)
}

func (this *SMLeaveGuild) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMLeaveGuild)
}

func (this *SMLeaveGuildNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMLeaveGuildNotify)
}

func (this *CMDismissMember) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMDismissMember)
}

func (this *SMDismissMember) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMDismissMember)
}

func (this *SMDismissMemberNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMDismissMemberNotify)
}

func (this *CMSetMemberLevel) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSetMemberLevel)
}

func (this *SMSetMemberLevel) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSetMemberLevel)
}

func (this *SMSetMemberLevelNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSetMemberLevelNotify)
}

func (this *CMGuildMembersList) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMGuildMembersList)
}

func (this *SMGuildMembersList) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMGuildMembersList)
}

func (this *CMDisband) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMDisband)
}

func (this *SMDisband) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMDisband)
}

func (this *CMSearchGuilds) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSearchGuilds)
}

func (this *SMSearchGuilds) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSearchGuilds)
}

func (this *CMGuildLogs) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMGuildLogs)
}

func (this *SMGuildLogs) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMGuildLogs)
}

func (this *CMSetName) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSetName)
}

func (this *SMSetName) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSetName)
}

func (this *CMSetAvatar) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSetAvatar)
}

func (this *SMSetAvatar) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSetAvatar)
}

func (this *CMSetNotice) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSetNotice)
}

func (this *SMSetNotice) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSetNotice)
}

func (this *CMSetJoinCond) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMSetJoinCond)
}

func (this *SMSetJoinCond) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMSetJoinCond)
}

func (this *SMUserStatusNotify) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMUserStatusNotify)
}

func (this *CMRedDot) GetNetMsgId() uint16 {
        return uint16(CMMessageIdE__CMRedDot)
}

func (this *SMRedDot) GetNetMsgId() uint16 {
        return uint16(SMMessageIdE__SMRedDot)
}

func (this *SMLogin) Err(errCode int32, errMsg string) *SMLogin {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMReconnect) Err(errCode int32, errMsg string) *SMReconnect {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMSearchUser) Err(errCode int32, errMsg string) *SMSearchUser {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMSearchUserByAccountId) Err(errCode int32, errMsg string) *SMSearchUserByAccountId {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMAddFriendRequest) Err(errCode int32, errMsg string) *SMAddFriendRequest {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMAcceptFriendRequest) Err(errCode int32, errMsg string) *SMAcceptFriendRequest {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMRejectFriendRequest) Err(errCode int32, errMsg string) *SMRejectFriendRequest {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMListPendingFriendRequest) Err(errCode int32, errMsg string) *SMListPendingFriendRequest {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMListFriend) Err(errCode int32, errMsg string) *SMListFriend {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMDeleteFriendShip) Err(errCode int32, errMsg string) *SMDeleteFriendShip {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMBlacklist) Err(errCode int32, errMsg string) *SMBlacklist {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMAddBlacklist) Err(errCode int32, errMsg string) *SMAddBlacklist {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMRemoveBlacklist) Err(errCode int32, errMsg string) *SMRemoveBlacklist {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMInviteFriendMsg) Err(errCode int32, errMsg string) *SMInviteFriendMsg {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMRecommendList) Err(errCode int32, errMsg string) *SMRecommendList {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMGuildInfo) Err(errCode int32, errMsg string) *SMGuildInfo {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMRecommendGuildList) Err(errCode int32, errMsg string) *SMRecommendGuildList {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMGetTopGuildsByTotalStars) Err(errCode int32, errMsg string) *SMGetTopGuildsByTotalStars {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMCreateGuild) Err(errCode int32, errMsg string) *SMCreateGuild {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMApplyToGuild) Err(errCode int32, errMsg string) *SMApplyToGuild {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMApplyList) Err(errCode int32, errMsg string) *SMApplyList {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMApprove) Err(errCode int32, errMsg string) *SMApprove {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMReject) Err(errCode int32, errMsg string) *SMReject {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMLeaveGuild) Err(errCode int32, errMsg string) *SMLeaveGuild {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMDismissMember) Err(errCode int32, errMsg string) *SMDismissMember {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMSetMemberLevel) Err(errCode int32, errMsg string) *SMSetMemberLevel {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMGuildMembersList) Err(errCode int32, errMsg string) *SMGuildMembersList {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMDisband) Err(errCode int32, errMsg string) *SMDisband {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMSearchGuilds) Err(errCode int32, errMsg string) *SMSearchGuilds {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMGuildLogs) Err(errCode int32, errMsg string) *SMGuildLogs {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMSetName) Err(errCode int32, errMsg string) *SMSetName {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMSetAvatar) Err(errCode int32, errMsg string) *SMSetAvatar {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMSetNotice) Err(errCode int32, errMsg string) *SMSetNotice {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func (this *SMSetJoinCond) Err(errCode int32, errMsg string) *SMSetJoinCond {
        this.Errcode = proto.Int32(errCode)
        this.Errmsg = proto.String(errMsg)
        return this
}

func init() {

        handlers[int(CMMessageIdE__CMPing)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMPing),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMPing{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMPing(hdr, hdr.Msg.(*CMPing))
                },
        }

        handlers[int(CMMessageIdE__CMLogin)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMLogin),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMLogin{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMLogin(hdr, hdr.Msg.(*CMLogin))
                },
        }

        handlers[int(CMMessageIdE__CMReconnect)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMReconnect),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMReconnect{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMReconnect(hdr, hdr.Msg.(*CMReconnect))
                },
        }

        handlers[int(CMMessageIdE__CMSearchUser)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSearchUser),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSearchUser{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSearchUser(hdr, hdr.Msg.(*CMSearchUser))
                },
        }

        handlers[int(CMMessageIdE__CMSearchUserByAccountId)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSearchUserByAccountId),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSearchUserByAccountId{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSearchUserByAccountId(hdr, hdr.Msg.(*CMSearchUserByAccountId))
                },
        }

        handlers[int(CMMessageIdE__CMAddFriendRequest)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMAddFriendRequest),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMAddFriendRequest{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMAddFriendRequest(hdr, hdr.Msg.(*CMAddFriendRequest))
                },
        }

        handlers[int(CMMessageIdE__CMAcceptFriendRequest)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMAcceptFriendRequest),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMAcceptFriendRequest{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMAcceptFriendRequest(hdr, hdr.Msg.(*CMAcceptFriendRequest))
                },
        }

        handlers[int(CMMessageIdE__CMRejectFriendRequest)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMRejectFriendRequest),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMRejectFriendRequest{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMRejectFriendRequest(hdr, hdr.Msg.(*CMRejectFriendRequest))
                },
        }

        handlers[int(CMMessageIdE__CMListPendingFriendRequest)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMListPendingFriendRequest),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMListPendingFriendRequest{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMListPendingFriendRequest(hdr, hdr.Msg.(*CMListPendingFriendRequest))
                },
        }

        handlers[int(CMMessageIdE__CMListFriend)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMListFriend),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMListFriend{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMListFriend(hdr, hdr.Msg.(*CMListFriend))
                },
        }

        handlers[int(CMMessageIdE__CMDeleteFriendShip)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMDeleteFriendShip),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMDeleteFriendShip{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMDeleteFriendShip(hdr, hdr.Msg.(*CMDeleteFriendShip))
                },
        }

        handlers[int(CMMessageIdE__CMBlacklist)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMBlacklist),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMBlacklist{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMBlacklist(hdr, hdr.Msg.(*CMBlacklist))
                },
        }

        handlers[int(CMMessageIdE__CMAddBlacklist)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMAddBlacklist),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMAddBlacklist{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMAddBlacklist(hdr, hdr.Msg.(*CMAddBlacklist))
                },
        }

        handlers[int(CMMessageIdE__CMRemoveBlacklist)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMRemoveBlacklist),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMRemoveBlacklist{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMRemoveBlacklist(hdr, hdr.Msg.(*CMRemoveBlacklist))
                },
        }

        handlers[int(CMMessageIdE__CMInviteFriendMsg)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMInviteFriendMsg),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMInviteFriendMsg{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMInviteFriendMsg(hdr, hdr.Msg.(*CMInviteFriendMsg))
                },
        }

        handlers[int(CMMessageIdE__CMRecommendList)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMRecommendList),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMRecommendList{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMRecommendList(hdr, hdr.Msg.(*CMRecommendList))
                },
        }

        handlers[int(CMMessageIdE__CMSetStatus)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSetStatus),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSetStatus{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSetStatus(hdr, hdr.Msg.(*CMSetStatus))
                },
        }

        handlers[int(CMMessageIdE__CMSendChatMsg)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSendChatMsg),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSendChatMsg{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSendChatMsg(hdr, hdr.Msg.(*CMSendChatMsg))
                },
        }

        handlers[int(CMMessageIdE__CMReadMsgAndOpenChatNotify)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMReadMsgAndOpenChatNotify),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMReadMsgAndOpenChatNotify{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMReadMsgAndOpenChatNotify(hdr, hdr.Msg.(*CMReadMsgAndOpenChatNotify))
                },
        }

        handlers[int(CMMessageIdE__CMSetCurrPrivateChatTarget)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSetCurrPrivateChatTarget),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSetCurrPrivateChatTarget{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSetCurrPrivateChatTarget(hdr, hdr.Msg.(*CMSetCurrPrivateChatTarget))
                },
        }

        handlers[int(CMMessageIdE__CMCloseChatNotify)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMCloseChatNotify),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMCloseChatNotify{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMCloseChatNotify(hdr, hdr.Msg.(*CMCloseChatNotify))
                },
        }

        handlers[int(CMMessageIdE__CMGuildInfo)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMGuildInfo),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMGuildInfo{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMGuildInfo(hdr, hdr.Msg.(*CMGuildInfo))
                },
        }

        handlers[int(CMMessageIdE__CMRecommendGuildList)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMRecommendGuildList),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMRecommendGuildList{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMRecommendGuildList(hdr, hdr.Msg.(*CMRecommendGuildList))
                },
        }

        handlers[int(CMMessageIdE__CMGetTopGuildsByTotalStars)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMGetTopGuildsByTotalStars),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMGetTopGuildsByTotalStars{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMGetTopGuildsByTotalStars(hdr, hdr.Msg.(*CMGetTopGuildsByTotalStars))
                },
        }

        handlers[int(CMMessageIdE__CMCreateGuild)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMCreateGuild),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMCreateGuild{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMCreateGuild(hdr, hdr.Msg.(*CMCreateGuild))
                },
        }

        handlers[int(CMMessageIdE__CMApplyToGuild)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMApplyToGuild),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMApplyToGuild{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMApplyToGuild(hdr, hdr.Msg.(*CMApplyToGuild))
                },
        }

        handlers[int(CMMessageIdE__CMApplyList)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMApplyList),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMApplyList{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMApplyList(hdr, hdr.Msg.(*CMApplyList))
                },
        }

        handlers[int(CMMessageIdE__CMApprove)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMApprove),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMApprove{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMApprove(hdr, hdr.Msg.(*CMApprove))
                },
        }

        handlers[int(CMMessageIdE__CMReject)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMReject),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMReject{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMReject(hdr, hdr.Msg.(*CMReject))
                },
        }

        handlers[int(CMMessageIdE__CMLeaveGuild)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMLeaveGuild),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMLeaveGuild{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMLeaveGuild(hdr, hdr.Msg.(*CMLeaveGuild))
                },
        }

        handlers[int(CMMessageIdE__CMDismissMember)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMDismissMember),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMDismissMember{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMDismissMember(hdr, hdr.Msg.(*CMDismissMember))
                },
        }

        handlers[int(CMMessageIdE__CMSetMemberLevel)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSetMemberLevel),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSetMemberLevel{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSetMemberLevel(hdr, hdr.Msg.(*CMSetMemberLevel))
                },
        }

        handlers[int(CMMessageIdE__CMGuildMembersList)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMGuildMembersList),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMGuildMembersList{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMGuildMembersList(hdr, hdr.Msg.(*CMGuildMembersList))
                },
        }

        handlers[int(CMMessageIdE__CMDisband)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMDisband),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMDisband{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMDisband(hdr, hdr.Msg.(*CMDisband))
                },
        }

        handlers[int(CMMessageIdE__CMSearchGuilds)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSearchGuilds),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSearchGuilds{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSearchGuilds(hdr, hdr.Msg.(*CMSearchGuilds))
                },
        }

        handlers[int(CMMessageIdE__CMGuildLogs)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMGuildLogs),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMGuildLogs{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMGuildLogs(hdr, hdr.Msg.(*CMGuildLogs))
                },
        }

        handlers[int(CMMessageIdE__CMSetName)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSetName),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSetName{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSetName(hdr, hdr.Msg.(*CMSetName))
                },
        }

        handlers[int(CMMessageIdE__CMSetAvatar)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSetAvatar),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSetAvatar{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSetAvatar(hdr, hdr.Msg.(*CMSetAvatar))
                },
        }

        handlers[int(CMMessageIdE__CMSetNotice)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSetNotice),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSetNotice{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSetNotice(hdr, hdr.Msg.(*CMSetNotice))
                },
        }

        handlers[int(CMMessageIdE__CMSetJoinCond)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMSetJoinCond),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMSetJoinCond{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMSetJoinCond(hdr, hdr.Msg.(*CMSetJoinCond))
                },
        }

        handlers[int(CMMessageIdE__CMRedDot)] = &CsNetMsgHandler{
                MsgId: int(CMMessageIdE__CMRedDot),
                ParseCb: func (data []byte) interface{} {
                        msg := &CMRedDot{}
                        proto.Unmarshal(data, msg)
                        return msg
                },
                Cb: func (hdr *f5.MsgHdr, handler MsgHandler) {
                        handler.CMRedDot(hdr, hdr.Msg.(*CMRedDot))
                },
        }

}