package model

import (
	"q5"
	"f5"
	"main/constant"
)

type friend struct {

}

var Friend = new (friend)

func (this *friend) Force(accountId1 string, accountId2 string, nowTime int64,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Upsert(
		constant.FRIEND_DB,
		"t_friend_relationship",
		[][]string{
			{"account_id1", accountId1},
			{"account_id2", accountId2},
		},
		[][]string{
			{"add_time", q5.ToString(nowTime)},
			{"deleted", "0"},
		},
		[][]string{
			{"account_id1", accountId1},
			{"account_id2", accountId2},
			{"add_time", q5.ToString(nowTime)},
			{"deleted", "0"},
			{"createtime", q5.ToString(nowTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		cb)
}

func (this *friend) DeleteSoft(accountId1 string, accountId2 string,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Update(
		constant.FRIEND_DB,
		"t_friend_relationship",
		[][]string{
			{"account_id1", accountId1},
			{"account_id2", accountId2},
		},
		[][]string{
			{"deleted", q5.ToString(1)},
			{"del_time", q5.ToString(f5.GetApp().GetNowSeconds())},
		},
		cb)
}
