package model

import (
	"q5"
	"f5"
	"main/constant"
)

type friendApply struct {

}

var FriendApply = new (friendApply)

func (this *friendApply) Force(senderId string, targetId string,
	cb func (error, int64, int64)) {
	nowTime := f5.GetApp().GetNowSeconds()
	f5.GetJsStyleDb().Upsert(
		constant.FRIEND_DB,
		"t_friend_apply",
		[][]string{
			{"sender_id", senderId},
			{"target_id", targetId},
		},
		[][]string{
			{"status", q5.ToString(constant.FRIEND_APPLY_STATUS_NONE)},
			{"last_apply_time", q5.ToString(nowTime)},
		},
		[][]string{
			{"sender_id", senderId},
			{"target_id", targetId},
			{"status", q5.ToString(constant.FRIEND_APPLY_STATUS_NONE)},
			{"last_apply_time", q5.ToString(nowTime)},
			{"createtime", q5.ToString(nowTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		cb)
}

func (this *friendApply) SetStatus(senderId string, targetId string, status int32,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Update(
		constant.FRIEND_DB,
		"t_friend_apply",
		[][]string{
			{"sender_id", senderId},
			{"target_id", targetId},
		},
		[][]string{
			{"status", q5.ToString(status)},
			{"modifytime", q5.ToString(f5.GetApp().GetNowSeconds())},
		},
		cb)
}
