package model

import (
	"q5"
	"f5"
	"main/constant"
)

type guild struct {

}

var Guild = new (guild)

func (this *guild) New(guildId string, guildName string, creatorId string, avatar int32, nowTime int64,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Insert(
		constant.FRIEND_DB,
		"t_guild",
		[][]string{
			{"guild_id", guildId},
			{"guild_name", guildName},
			{"creator_id", creatorId},
			{"badge", q5.ToString(avatar)},
			{"max_members", q5.ToString(constant.GuildMaxMembers)},
			{"createtime", q5.ToString(nowTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		cb)
}

func (this *guild) DeleteSoft(guildId string,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Update(
		constant.FRIEND_DB,
		"t_guild",
		[][]string{
			{"guild_id", guildId},
		},
		[][]string{
			{"!guild_name", q5.ToString("null")},
			{"deleted", "1"},
		},
		cb)
}

func (this *guild) UpdateKv(guildId string, fields [][]string,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Update(
		constant.FRIEND_DB,
		"t_guild",
		[][]string{
			{"guild_id", guildId},
		},
		fields,
		cb)
}
