package model

import (
	"q5"
	"f5"
	"main/constant"
)

type guildMember struct {

}

var GuildMember = new (guildMember)

func (this *guildMember) Force(memberId string, guildId string, guildJob int32, nowTime int64,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Upsert(
		constant.FRIEND_DB,
		"t_guild_member",
		[][]string{
			{"member_id", memberId},
		},
		[][]string{
			{"guild_id", guildId},
			{"guild_job", q5.ToString(guildJob)},
			{"deleted", q5.ToString(0)},
			{"join_time", q5.ToString(nowTime)},
		},
		[][]string{
			{"guild_id", guildId},
			{"guild_job", q5.ToString(guildJob)},
			{"deleted", q5.ToString(0)},
			{"member_id", memberId},
			{"join_time", q5.ToString(nowTime)},
			{"createtime", q5.ToString(nowTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		cb)
}

func (this *guildMember) DeleteSoft(guildId string, memberId string,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Update(
		constant.FRIEND_DB,
		"t_guild_member",
		[][]string{
			{"guild_id", guildId},
			{"member_id", memberId},
		},
		[][]string{
			{"deleted", "1"},
		},
		cb)
}

func (this *guildMember) SetJob(guildId string, memberId string, guildJob int32,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Update(
		constant.FRIEND_DB,
		"t_guild_member",
		[][]string{
			{"guild_id", guildId},
			{"member_id", memberId},
		},
		[][]string{
			{"guild_job", q5.ToString(guildJob)},
		},
		cb)
}
