package mt

import (
	"f5"
	"main/mtb"
	"q5"
)

type IMCluster struct {
	mtb.IMCluster
}

type IMClusterTable struct {
	f5.IdMetaTable[IMCluster]
	selfConf   *IMCluster
	serverInfo string
}

func (this *IMCluster) Init1() {

}

func (this *IMClusterTable) GetIp() string {
	return q5.GetLocalIP()
}

func (this *IMClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *IMClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *IMClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("imserver集群无法读取本服配置")
	}
	this.serverInfo = this.GetIp() + ":" + q5.ToString(this.GetListenPort())
}

func (this *IMClusterTable) GetServerInfo() string {
	return this.serverInfo
}
