package mtb

import (
        "f5"
)

type IMCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type MasterCluster struct {
        instance_id int32
        ip string
        listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type GameDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type FriendDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        gameapi_url string

        _flags1_ uint64
        _flags2_ uint64
}

func (this *IMCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *IMCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *IMCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *IMCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *IMCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *IMCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *MasterCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *MasterCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MasterCluster) GetIp() string {
        return this.ip
}

func (this *MasterCluster) HasIp() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MasterCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *MasterCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *GameDb) GetHost() string {
        return this.host
}

func (this *GameDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *GameDb) GetPort() int32 {
        return this.port
}

func (this *GameDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *GameDb) GetUser() string {
        return this.user
}

func (this *GameDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *GameDb) GetPasswd() string {
        return this.passwd
}

func (this *GameDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *GameDb) GetDatabase() string {
        return this.database
}

func (this *GameDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *GameDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *GameDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *GameDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *GameDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *FriendDb) GetHost() string {
        return this.host
}

func (this *FriendDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *FriendDb) GetPort() int32 {
        return this.port
}

func (this *FriendDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *FriendDb) GetUser() string {
        return this.user
}

func (this *FriendDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *FriendDb) GetPasswd() string {
        return this.passwd
}

func (this *FriendDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *FriendDb) GetDatabase() string {
        return this.database
}

func (this *FriendDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *FriendDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *FriendDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *FriendDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *FriendDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Config) GetGameapiUrl() string {
        return this.gameapi_url
}

func (this *Config) HasGameapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}


func (this *IMCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *MasterCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.ip, "ip", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 3, kv)
}

func (this *GameDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *FriendDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameapi_url, "gameapi_url", &this._flags1_, 1, kv)
}
