package mt

import (
	"f5"
	"main/mtb"
	"time"
)

type RankSeason struct {
	mtb.RankSeason
	_start_time int64
	_end_time   int64
}

type RankSeasonTable struct {
	f5.IdMetaTable[RankSeason]
}

func (this *RankSeason) Init1() {
	dt1, _ := time.Parse("2006-1-02 15:04:05", this.GetStartTime())
	this._start_time = dt1.Unix()
	dt2, _ := time.Parse("2006-1-02 15:04:05", this.GetEndTime())
	this._end_time = dt2.Unix()
}

func (this *RankSeasonTable) PostInit1() {

}

func (this *RankSeasonTable) GetCurrentSeason() *RankSeason {
	var result *RankSeason
	this.Traverse(
		func(meta *RankSeason) bool {
			if f5.GetApp().GetNowSeconds() >= meta._start_time &&
				f5.GetApp().GetNowSeconds() <= meta._end_time {
				result = meta
				return false
			}
			return true
		})
	return result
}

func (this *RankSeasonTable) GetLastSeason() *RankSeason {
	var leastSeason *RankSeason
	this.Traverse(
		func(meta *RankSeason) bool {
			if f5.GetApp().GetNowSeconds() >= meta._start_time {
				if leastSeason == nil {
					leastSeason = meta
				} else if leastSeason._end_time < meta._end_time {
					leastSeason = meta
				}
			}
			return true
		})
	return leastSeason
}
