package task

import (
	"q5"
	"f5"
	"fmt"
	"jccommon"
	"main/constant"
	"main/service"
	"math/rand"
	"math/big"
)

type repairOrder struct {

}

func (this* repairOrder) init() {
	go this.process()
}

func (this* repairOrder) unInit() {
}

func (this* repairOrder) process() {
	f5.GetGoStyleDb().LoopLoad(
		constant.BCNFT_DB,
		"repairOrder",
		"t_order",
		func () int64 {
			return 60 + q5.ToInt64(rand.Intn(3))
		},
		func (lastIdx int64) string {
			sql := fmt.Sprintf(`
SELECT * FROM t_order WHERE idx > %d AND status = ? LIMIT 100`,
				lastIdx,
			)
			return sql
		},
		[]string{
			jccommon.ORDER_STATUS_ACTIVE,
		},
		func () int64 {
			return 3
		},
		func () int64 {
			return 60 + q5.ToInt64(rand.Intn(3))
		},
		this.repairPrice)
}

func (this* repairOrder) repairPrice(ds *f5.DataSet) bool {
	if service.BcCurrency.GetLastRefreshOkTime() + 3600 * 2 < f5.GetApp().GetRealSeconds() {
		return false
	}
	dbIdx := ds.GetByName("idx")
	eventId := ds.GetByName("event_id")
	srcPriceAmount := ds.GetByName("src_price_amount")
	srcPriceContractAddress := ds.GetByName("src_price_contract_address")
	srcPriceItemType := ds.GetByName("src_price_item_type")
	if srcPriceAmount == "" {
		p := new(jccommon.OrderUpdatedEvent)
		err := q5.DecodeJson(ds.GetByName("event_data"), &p)
		if err != nil {
			return false
		}
		srcPriceAmount = p.Data.Buy[0].Amount
		{
			bnSrcPriceAmount, ok := new(big.Int).SetString(srcPriceAmount, 10)
			if ok {
				for _, val := range p.Data.Fees {
					bnAmount, ok := new(big.Int).SetString(val.Amount, 10)
					if ok {
						bnSrcPriceAmount.Add(bnSrcPriceAmount, bnAmount)
					}
				}
				srcPriceAmount = bnSrcPriceAmount.String()
			}
		}
		srcPriceContractAddress = p.Data.Buy[0].ContractAddress
		srcPriceItemType = p.Data.Buy[0].ItemType
	}
	srcPriceExchangeRate, price := service.BcCurrency.ExchangeUSD(
		srcPriceAmount, srcPriceItemType, srcPriceContractAddress)
	updateFields := [][]string{
		{"src_price_amount", srcPriceAmount},
		{"src_price_contract_address", srcPriceContractAddress},
		{"src_price_item_type", srcPriceItemType},
		{"price", price},
		{"price_len", q5.ToString(len(price))},
		{"src_price_exchange_rate", q5.ToString(srcPriceExchangeRate)},
	}
	f5.GetGoStyleDb().Update(
		constant.BCNFT_DB,
		"t_order",
		[][]string{
			{"idx", q5.ToString(dbIdx)},
			{"event_id", eventId},
		},
		updateFields,
		func (err error, lastInsertId int64, rowsAffected int64) {
			if err != nil {
				return
			}
		})
	return true
}
