use bcnft_dev;
DROP TABLE IF EXISTS `t_vip_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_vip_user` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_address` varchar(60) NOT NULL DEFAULT '' COMMENT '钱包地址',
  `vip_lv` bigint NOT NULL DEFAULT '0' COMMENT 'vip等级',
  `escec_balance` varchar(60) NOT NULL DEFAULT '' COMMENT 'esCec balance',
  `escec_stacking` varchar(60) NOT NULL DEFAULT '' COMMENT 'esCec stacking',
  `escec_convert` varchar(60) NOT NULL DEFAULT '' COMMENT 'esCec convert',
  `stacking_last_src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'stacking_last_src_idx',
  `escec_transfer_last_src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'escec_transfer_last_src_idx',
  `deposit_withdraw_last_src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'deposit_withdraw_last_src_idx',
  `last_convert_time` int(11) NOT NULL DEFAULT '0' COMMENT 'last_convert_time',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `idx_account_address` (`account_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

use bcevent_dev;
DROP TABLE IF EXISTS `t_staking_cec_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_staking_cec_record` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'StakeCec或者UnstakeCec',
  `account_address` varchar(60) NOT NULL DEFAULT '' COMMENT '钱包地址',
  `token_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'cec地址(cec escec)',
  `amount` varchar(60) NOT NULL DEFAULT '' COMMENT '数量',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `idx_account_address` (`account_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

DROP TABLE IF EXISTS `t_cec_transfer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_cec_transfer` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT '事件名',
  `chain_timestamp` bigint NOT NULL DEFAULT '0' COMMENT '链事件时间戳',
  `from_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'from钱包地址',
  `to_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'to钱包地址',
  `value` varchar(60) NOT NULL DEFAULT '' COMMENT '数量',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `idx_from_address` (`from_address`),
  KEY `idx_to_address` (`to_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

DROP TABLE IF EXISTS `t_vester_deposit_withdraw`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_vester_deposit_withdraw` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT '事件名',
  `chain_timestamp` bigint NOT NULL DEFAULT '0' COMMENT '链事件时间戳',
  `account_address` varchar(60) NOT NULL DEFAULT '' COMMENT '钱包地址',
  `deposit_amount` varchar(60) NOT NULL DEFAULT '' COMMENT '数量',
  `withdraw_clamied_amount` varchar(60) NOT NULL DEFAULT '' COMMENT '数量',
  `withdraw_balance` varchar(60) NOT NULL DEFAULT '' COMMENT 'balance',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `idx_account_address` (`account_address`),
  KEY `idx_account_address_event_name` (`account_address`, `event_name`),
  KEY `idx_event_name` (`event_name`),
  KEY `idx_src_idx` (`src_idx`),
  KEY `idx_chain_timestamp` (`chain_timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

update t_param set val = 0 where name='stackingCec.lastIdx.97.0x3455e5d4962de708050278fa2761a613028bdf08';
update t_param set val = 0 where name='esCecTransfer.lastIdx.97.0x1fba3f84e62163069050f1156b73c008722136a3';
update t_param set val = 0 where name='vester.depositAndWithdraw.lastIdx.97.0x30c91ed20fdffd7c423014bafcd5d6a4132d4fdb';
