package mt

import (
	"f5"
)

type table struct {
	LoginCluster *LoginClusterTable
	LoginDb      *LoginDbTable
	Config      *ConfigTable
}

var Table = f5.New(func(this *table) {
	this.LoginCluster = f5.New(func(this *LoginClusterTable) {
		this.FileName = "../config/loginserver.cluster.json"
		this.PrimKey = "instance_id"
	})

	this.LoginDb = f5.New(func(this *LoginDbTable) {
		this.FileName = "../config/logindb.mysql.json"
		this.PrimKey = ""
	})

	this.Config = f5.New(func(this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	})
})
