package global

import (
	"fmt"
	"main/common"
	"main/constant"
	"q5"
)

var modules [constant.MAX_MODULE_IDX]q5.Module
var initOrders = []int32{
	constant.PLAYER_MGR_MODULE_IDX,
	constant.MAIL_MGR_MODULE_IDX,
}

var app common.App
var playerMgr common.PlayerMgr
var mailMgr common.MailMgr

func GetApp() common.App {
	return app
}

func GetMailMgr() common.MailMgr {
	return mailMgr
}

func GetPlayerMgr() common.PlayerMgr {
	return playerMgr
}

func RegModule(idx int32, m q5.Module) {
	fmt.Printf("RegModule module %d\n", idx)
	modules[idx] = m
	switch idx {
	case constant.APP_MODULE_IDX:
		{
			app = m.(common.App)
		}
	case constant.PLAYER_MGR_MODULE_IDX:
		{
			playerMgr = m.(common.PlayerMgr)
		}
	case constant.MAIL_MGR_MODULE_IDX:
		{
			mailMgr = m.(common.MailMgr)
		}
	default:
		{
			panic("unknow module")
		}
	}
}

func InitModules() {
	for _, val := range initOrders {
		fmt.Printf("init module %d\n", val)
		modules[val].Init()
	}
}

func UnInitModules() {
	for _, val := range initOrders {
		fmt.Printf("unInit module %d", val)
		modules[val].UnInit()
	}
}
