package middleware

import (
	"github.com/gin-gonic/gin"
	. "main/global"
	"net/http"
)

func CaAuth(c *gin.Context) {
	accountId := c.DefaultQuery("account_id", "")
	sessionId := c.DefaultQuery("session_id", "")
	hum := GetPlayerMgr().GetPlayerByAccountId(accountId)
	if hum == nil {
		hum = GetPlayerMgr().ForceCreatePlayer(accountId, sessionId)
	}
	if !hum.Lock() {
		c.JSON(http.StatusOK, gin.H{
			"errcode":    500,
			"errmsg": "server internal error",
		})
		c.Abort()
		return
	}
	c.Set("hum", hum)
	c.Next()
	hum.UnLock()
}
