package model

import (
	"q5"
	"f5"
	"main/constant"
)

type inbox struct {

}

var Inbox = new(inbox)

func (this *inbox) Mark(accountId string, mailId int64, nowTime int64, expireTime int32) error {
	var result error
	f5.GetGoStyleDb().Upsert(
		constant.MAIL_DB,
		"t_inbox",
		[][]string{
			{"account_id", accountId},
			{"mail_id", q5.ToString(mailId)},
		},
		[][]string{
			{"state", q5.ToString(constant.INBOX_STATE_READ)},
			{"expiretime", q5.ToString(expireTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		[][]string{
			{"account_id", accountId},
			{"mail_id", q5.ToString(mailId)},
			{"state", q5.ToString(constant.INBOX_STATE_READ)},
			{"expiretime", q5.ToString(expireTime)},
			{"createtime", q5.ToString(nowTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		func (err error, lastInsertId int64, rowsAffected int64) {
			result = err
		})
	return result
}

func (this *inbox) Delete(accountId string, mailId int64, nowTime int64, expireTime int32) error {
	var result error
	f5.GetGoStyleDb().Upsert(
		constant.MAIL_DB,
		"t_inbox",
		[][]string{
			{"account_id", accountId},
			{"mail_id", q5.ToString(mailId)},
		},
		[][]string{
			{"state", q5.ToString(constant.INBOX_STATE_DELETED)},
			{"expiretime", q5.ToString(expireTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		[][]string{
			{"account_id", accountId},
			{"mail_id", q5.ToString(mailId)},
			{"state", q5.ToString(constant.INBOX_STATE_DELETED)},
			{"expiretime", q5.ToString(expireTime)},
			{"createtime", q5.ToString(nowTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		func (err error, lastInsertId int64, rowsAffected int64) {
			result = err
		})
	return result
}
