package mtb

import (
        "f5"
)

type MailCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type MailDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        gameapi_url string
        secret_key string
        gm_open int32
        gm_secret_key string

        _flags1_ uint64
        _flags2_ uint64
}

func (this *MailCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *MailCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MailCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *MailCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MailCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *MailCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *MailDb) GetHost() string {
        return this.host
}

func (this *MailDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MailDb) GetPort() int32 {
        return this.port
}

func (this *MailDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MailDb) GetUser() string {
        return this.user
}

func (this *MailDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *MailDb) GetPasswd() string {
        return this.passwd
}

func (this *MailDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *MailDb) GetDatabase() string {
        return this.database
}

func (this *MailDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *MailDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *MailDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *MailDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *MailDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Config) GetGameapiUrl() string {
        return this.gameapi_url
}

func (this *Config) HasGameapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Config) GetSecretKey() string {
        return this.secret_key
}

func (this *Config) HasSecretKey() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Config) GetGmOpen() int32 {
        return this.gm_open
}

func (this *Config) HasGmOpen() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Config) GetGmSecretKey() string {
        return this.gm_secret_key
}

func (this *Config) HasGmSecretKey() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}


func (this *MailCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *MailDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameapi_url, "gameapi_url", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.secret_key, "secret_key", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.gm_open, "gm_open", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.gm_secret_key, "gm_secret_key", &this._flags1_, 4, kv)
}
