package player

import (
	"f5"
	"sync"
	"main/common"
)

type playerMgr struct {
	accountIdHash sync.Map
	lock sync.Mutex
}

func (this *playerMgr) Init() {
}

func (this *playerMgr) UnInit() {
}

func (this *playerMgr) GetPlayerByAccountId(accountId string) common.Player {
	if p, ok := this.accountIdHash.Load(accountId); ok {
		return p.(*player)
	} else {
		return nil
	}
}

func (this *playerMgr) ForceCreatePlayer(accountId string, sessionId string) common.Player {
	defer this.lock.Unlock()
	this.lock.Lock()
	hum := this.GetPlayerByAccountId(accountId)
	if hum == nil {
		p := newPlayer()
		p.accountId = accountId
		p.sessionId = sessionId
		p.registerTime = f5.ExtractRegisterTimeFromSessionId(sessionId)
		hum = p
		this.accountIdHash.Store(p.accountId, p)
	}
	return hum
}
