package activity

import (
	"f5"
	"fmt"
	"main/constant"
	"main/service"
	"q5"
	"strings"

	"github.com/gin-gonic/gin"
)

type BitGetApi struct {
}

func (this *BitGetApi) NewUserMission(c *gin.Context) {
	email := strings.ToLower(c.DefaultQuery("email", ""))
	rspObj := struct {
		ErrCode  int32  `json:"errcode"`
		ErrMsg   string `json:"errmsg"`
		CP       string `json:"contributionPoint"`
		Missions []struct {
			MissionId int32 `json:"mission_id"`
			Current   int32 `json:"current"`
			Target    int32 `json:"target"`
		} `json:"missions"`
	}{}
	q5.NewSlice(&rspObj.Missions, 0, 10)
	p := q5.NewSliceElement(&rspObj.Missions)
	p.MissionId = 1
	p.Target = 5

	if email != "" {
		mycp, accountid, _ := service.Contribution.GetEmailContributionAccountid(email)
		rspObj.CP = fmt.Sprintf("%.2f", mycp)

		if accountid != "" {
			sql := `SELECT count(idx) FROM t_battle_settlement_single WHERE idx > 0 AND account_id = ?`
			f5.GetGoStyleDb().RawQuery(
				constant.GAME_DB,
				sql,
				[]string{accountid},
				func(err error, ds *f5.DataSet) {
					if err != nil {
						return
					}

					if ds.Next() {
						p.Current = q5.SafeToInt32(ds.GetByIndex(0))
						if p.Current > p.Target {
							p.Current = p.Target
						}

					}
				})
		}
	}

	c.JSON(200, rspObj)
}
