package mt

import (
	"q5"
	"f5"
	"os"
	"main/mtb"
	"jccommon"
	"strings"
)

type Item struct {
	mtb.Item
	lowerName string
}

type ItemTable struct {
	f5.IdMetaTable[Item]
	itemIdHash *q5.ConcurrentMap[int64, *Item]
}

func (this *ItemTable) PostInit1() {
	this.itemIdHash = new(q5.ConcurrentMap[int64, *Item])
	items := []struct {
		Id int32 `json:"id"`
		Name string `json:"name"`
		Type int32 `json:"type"`
		SubType int32 `json:"sub_type"`
	}{}
	this.Traverse(
		func (ele *Item) bool {
			if ele.GetType() == jccommon.ITEM_TYPE_HERO ||
				ele.GetType() == jccommon.ITEM_TYPE_GOLD_BULLION {
				langMeta := Table.Language.GetByName(ele.GetName())
				p := q5.NewSliceElement(&items)
				p.Id = ele.GetId()
				p.Name = langMeta.GetEn()
				p.Type = ele.GetType()
				p.SubType = ele.GetSubType()

				ele.lowerName = strings.ToLower(langMeta.GetEn())
				this.itemIdHash.Store(q5.ToInt64(ele.GetId()), ele)
			}
			return true
		})
	data := q5.EncodeJson(&items)
	if err := os.WriteFile("item.json", []byte(data), 0644); err == nil {
	}
}

func (this *ItemTable) Search(name string, itemIds map[int32]int32) {
	name = strings.ToLower(name)
	this.Traverse(
		func (ele *Item) bool {
			if strings.Contains(ele.lowerName, name) {
				itemIds[ele.GetId()] = 1
			}
			return true
		})
}
