package mt

import (
	"f5"
)

type table struct {
	MarketServerCluster *MarketServerClusterTable
	NftDb               *NftDbTable
	NftEventDb          *NftEventDbTable
	GameDb              *GameDbTable
	Config              *ConfigTable
	Item                *ItemTable
	Language            *LanguageTable
	Contract            *ContractTable
	Web3ServiceCluster  *Web3ServiceClusterTable
	Web3SignCluster     *Web3SignClusterTable
	Recharge            *RechargeTable
	Currency            *CurrencyTable
	AccountDb           *AccountDbTable
	ConfDb              *ConfDbTable
	StakingVip          *StakingVipTable
}

var Table = f5.New(func(this *table) {
	this.MarketServerCluster = f5.New(func(this *MarketServerClusterTable) {
		this.FileName = "../config/marketserver.cluster.json"
		this.PrimKey = "instance_id"
	})

	this.NftDb = f5.New(func(this *NftDbTable) {
		this.FileName = "../config/nftdb.mysql.json"
		this.PrimKey = ""
	})

	this.NftEventDb = f5.New(func(this *NftEventDbTable) {
		this.FileName = "../config/bceventdb.mysql.json"
		this.PrimKey = ""
	})

	this.GameDb = f5.New(func(this *GameDbTable) {
		this.FileName = "../config/gamedb.mysql.json"
		this.PrimKey = ""
	})

	this.AccountDb = f5.New(func(this *AccountDbTable) {
		this.FileName = "../config/accountdb.mysql.json"
		this.PrimKey = ""
	})

	this.ConfDb = f5.New(func(this *ConfDbTable) {
		this.FileName = "../config/confdb.mysql.json"
		this.PrimKey = ""
	})

	this.Config = f5.New(func(this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	})

	this.Item = f5.New(func(this *ItemTable) {
		this.FileName = "../res/item@item.json"
		this.PrimKey = "id"
	})

	this.Language = f5.New(func(this *LanguageTable) {
		this.FileName = "../res/language@language.json"
		this.PrimKey = "info"
	})

	this.Contract = new(ContractTable)

	this.Web3ServiceCluster = f5.New(func(this *Web3ServiceClusterTable) {
		this.FileName = "../config/web3service.cluster.json"
		this.PrimKey = ""
	})

	this.Web3SignCluster = f5.New(func(this *Web3SignClusterTable) {
		this.FileName = "../config/web3sign.cluster.json"
		this.PrimKey = ""
	})

	this.Currency = new(CurrencyTable)

	this.Recharge = f5.New(func(this *RechargeTable) {
		this.FileName = "../res/recharge@recharge.json"
		this.PrimKey = "id"
	})

	this.StakingVip = f5.New(func(this *StakingVipTable) {
	    this.FileName = "../res/stakingVip@stakingVip.json"
		this.PrimKey = "rank"
	})
})
