package mtb

import (
        "f5"
)

type MarketServerCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type AccountDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type NftDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type NftEventDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type GameDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type ConfDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        gameapi_url string
        jwks_uri string

        _flags1_ uint64
        _flags2_ uint64
}

type RechargeCurrency struct {
        currency_name string
        contract_name string
        currency_decimal int64

        _flags1_ uint64
        _flags2_ uint64
}

type Item struct {
        name string
        id int32
        type_ int32
        sub_type int32

        _flags1_ uint64
        _flags2_ uint64
}

type Language struct {
        info string
        en string

        _flags1_ uint64
        _flags2_ uint64
}

type Recharge struct {
        id int32
        diamond int32
        present_diamond int32
        price int32
        max_buy_times int32
        can_email_buy int32

        _flags1_ uint64
        _flags2_ uint64
}

type Web3ServiceCluster struct {
        url string

        _flags1_ uint64
        _flags2_ uint64
}

type Web3SignCluster struct {
        url string

        _flags1_ uint64
        _flags2_ uint64
}

type StakingVip struct {
        rights string
        require int64
        thisPoint int64
        rank int32
        vip_name string
        rate float64
        vip_working_tips string
        vip_unworking_tips string
        id int32

        _flags1_ uint64
        _flags2_ uint64
}

func (this *MarketServerCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *MarketServerCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MarketServerCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *MarketServerCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MarketServerCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *MarketServerCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *AccountDb) GetHost() string {
        return this.host
}

func (this *AccountDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *AccountDb) GetPort() int32 {
        return this.port
}

func (this *AccountDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *AccountDb) GetUser() string {
        return this.user
}

func (this *AccountDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *AccountDb) GetPasswd() string {
        return this.passwd
}

func (this *AccountDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *AccountDb) GetDatabase() string {
        return this.database
}

func (this *AccountDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *AccountDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *AccountDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *AccountDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *AccountDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *NftDb) GetHost() string {
        return this.host
}

func (this *NftDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *NftDb) GetPort() int32 {
        return this.port
}

func (this *NftDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *NftDb) GetUser() string {
        return this.user
}

func (this *NftDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *NftDb) GetPasswd() string {
        return this.passwd
}

func (this *NftDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *NftDb) GetDatabase() string {
        return this.database
}

func (this *NftDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *NftDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *NftDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *NftDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *NftDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *NftEventDb) GetHost() string {
        return this.host
}

func (this *NftEventDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *NftEventDb) GetPort() int32 {
        return this.port
}

func (this *NftEventDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *NftEventDb) GetUser() string {
        return this.user
}

func (this *NftEventDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *NftEventDb) GetPasswd() string {
        return this.passwd
}

func (this *NftEventDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *NftEventDb) GetDatabase() string {
        return this.database
}

func (this *NftEventDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *NftEventDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *NftEventDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *NftEventDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *NftEventDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *GameDb) GetHost() string {
        return this.host
}

func (this *GameDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *GameDb) GetPort() int32 {
        return this.port
}

func (this *GameDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *GameDb) GetUser() string {
        return this.user
}

func (this *GameDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *GameDb) GetPasswd() string {
        return this.passwd
}

func (this *GameDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *GameDb) GetDatabase() string {
        return this.database
}

func (this *GameDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *GameDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *GameDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *GameDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *GameDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *ConfDb) GetHost() string {
        return this.host
}

func (this *ConfDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *ConfDb) GetPort() int32 {
        return this.port
}

func (this *ConfDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *ConfDb) GetUser() string {
        return this.user
}

func (this *ConfDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *ConfDb) GetPasswd() string {
        return this.passwd
}

func (this *ConfDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *ConfDb) GetDatabase() string {
        return this.database
}

func (this *ConfDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *ConfDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *ConfDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *ConfDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *ConfDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Config) GetGameapiUrl() string {
        return this.gameapi_url
}

func (this *Config) HasGameapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Config) GetJwksUri() string {
        return this.jwks_uri
}

func (this *Config) HasJwksUri() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *RechargeCurrency) GetCurrencyName() string {
        return this.currency_name
}

func (this *RechargeCurrency) HasCurrencyName() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *RechargeCurrency) GetContractName() string {
        return this.contract_name
}

func (this *RechargeCurrency) HasContractName() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *RechargeCurrency) GetCurrencyDecimal() int64 {
        return this.currency_decimal
}

func (this *RechargeCurrency) HasCurrencyDecimal() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Item) GetName() string {
        return this.name
}

func (this *Item) HasName() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Item) GetId() int32 {
        return this.id
}

func (this *Item) HasId() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Item) GetType() int32 {
        return this.type_
}

func (this *Item) HasType() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Item) GetSubType() int32 {
        return this.sub_type
}

func (this *Item) HasSubType() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Language) GetInfo() string {
        return this.info
}

func (this *Language) HasInfo() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Language) GetEn() string {
        return this.en
}

func (this *Language) HasEn() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Recharge) GetId() int32 {
        return this.id
}

func (this *Recharge) HasId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Recharge) GetDiamond() int32 {
        return this.diamond
}

func (this *Recharge) HasDiamond() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Recharge) GetPresentDiamond() int32 {
        return this.present_diamond
}

func (this *Recharge) HasPresentDiamond() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Recharge) GetPrice() int32 {
        return this.price
}

func (this *Recharge) HasPrice() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Recharge) GetMaxBuyTimes() int32 {
        return this.max_buy_times
}

func (this *Recharge) HasMaxBuyTimes() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Recharge) GetCanEmailBuy() int32 {
        return this.can_email_buy
}

func (this *Recharge) HasCanEmailBuy() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *Web3ServiceCluster) GetUrl() string {
        return this.url
}

func (this *Web3ServiceCluster) HasUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Web3SignCluster) GetUrl() string {
        return this.url
}

func (this *Web3SignCluster) HasUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *StakingVip) GetRights() string {
        return this.rights
}

func (this *StakingVip) HasRights() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *StakingVip) GetRequire() int64 {
        return this.require
}

func (this *StakingVip) HasRequire() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *StakingVip) GetThisPoint() int64 {
        return this.thisPoint
}

func (this *StakingVip) HasThisPoint() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *StakingVip) GetRank() int32 {
        return this.rank
}

func (this *StakingVip) HasRank() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *StakingVip) GetVipName() string {
        return this.vip_name
}

func (this *StakingVip) HasVipName() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *StakingVip) GetRate() float64 {
        return this.rate
}

func (this *StakingVip) HasRate() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *StakingVip) GetVipWorkingTips() string {
        return this.vip_working_tips
}

func (this *StakingVip) HasVipWorkingTips() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *StakingVip) GetVipUnworkingTips() string {
        return this.vip_unworking_tips
}

func (this *StakingVip) HasVipUnworkingTips() bool {
        return (this._flags1_ & (uint64(1) << 8)) > 0
}

func (this *StakingVip) GetId() int32 {
        return this.id
}

func (this *StakingVip) HasId() bool {
        return (this._flags1_ & (uint64(1) << 9)) > 0
}


func (this *MarketServerCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *AccountDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *NftDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *NftEventDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *GameDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *ConfDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameapi_url, "gameapi_url", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.jwks_uri, "jwks_uri", &this._flags1_, 2, kv)
}

func (this *RechargeCurrency) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.currency_name, "currency_name", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.contract_name, "contract_name", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.currency_decimal, "currency_decimal", &this._flags1_, 3, kv)
}

func (this *Item) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.name, "name", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.type_, "type", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.sub_type, "sub_type", &this._flags1_, 4, kv)
}

func (this *Language) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.info, "info", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.en, "en", &this._flags1_, 2, kv)
}

func (this *Recharge) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.diamond, "diamond", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.present_diamond, "present_diamond", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.price, "price", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.max_buy_times, "max_buy_times", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.can_email_buy, "can_email_buy", &this._flags1_, 6, kv)
}

func (this *Web3ServiceCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.url, "url", &this._flags1_, 1, kv)
}

func (this *Web3SignCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.url, "url", &this._flags1_, 1, kv)
}

func (this *StakingVip) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.rights, "rights", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.require, "require", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.thisPoint, "thisPoint", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.rank, "rank", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.vip_name, "vip_name", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.rate, "rate", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.vip_working_tips, "vip_working_tips", &this._flags1_, 7, kv)
        f5.ReadMetaTableField(&this.vip_unworking_tips, "vip_unworking_tips", &this._flags1_, 8, kv)
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 9, kv)
}
