package market

import (
	"f5"
	v1 "main/api/v1"
	"main/middleware"
)

type MarketRouter struct{}

func (this *MarketRouter) InitRouter() {
	api := v1.ApiGroupApp.MarketApiGroup
	f5.GetApp().GetGinEngine().POST("/api/market/product/list/:net_id",
		middleware.MaybeJwtAuth,
		api.MarketApi.ProductList)
	f5.GetApp().GetGinEngine().POST("/api/market/product1/list/:net_id",
		middleware.MaybeJwtAuth,
		api.MarketApi.ProductList1)
	f5.GetApp().GetGinEngine().GET("/api/market/transaction/history/:net_id/:account_address",
		api.MarketApi.TransactionHistory)
	f5.GetApp().GetGinEngine().GET("/api/market/product/category/:net_id", api.MarketApi.CategoryGoodsNum)
	f5.GetApp().GetGinEngine().GET("/api/market/product/query_price", api.MarketApi.QueryPrice)
	f5.GetApp().GetGinEngine().GET("/api/market/product/goods/:net_id/:contract_address/:token_id",
		middleware.MaybeJwtAuth,
		api.MarketApi.Goods)
	f5.GetApp().GetGinEngine().POST("/api/market/product/lock/:net_id/:owner_address/",
		middleware.MaybeJwtAuth,
		api.MarketApi.LockList)
}
