package router

import (
	"f5"
	"main/middleware"
	"main/router/activity"
	"main/router/asset"
	"main/router/event"
	"main/router/game_switch"
	"main/router/gold_bullion"
	"main/router/hero"
	"main/router/ingame"
	"main/router/market"
	"main/router/nft"
	"main/router/recharge"
	"main/router/shopcart"
	"main/router/user"
	"main/router/vip"
)

type routerMgr struct {
	market      market.RouterGroup
	asset       asset.RouterGroup
	hero        hero.RouterGroup
	goldBullion gold_bullion.RouterGroup
	shopCart    shopcart.RouterGroup
	nft         nft.RouterGroup
	ingame      ingame.RouterGroup
	user        user.RouterGroup
	activity    activity.RouterGroup
	event       event.RouterGroup
	recharge    recharge.RouterGroup
	gameswitch  game_switch.RouterGroup
	vip         vip.RouterGroup
}

func (this *routerMgr) Init() {
	f5.GetApp().GetGinEngine().Use(middleware.Cors())
	this.market.MarketRouter.InitRouter()
	this.asset.AssetRouter.InitRouter()
	this.hero.HeroRouter.InitRouter()
	this.goldBullion.GoldBullionRouter.InitRouter()
	this.shopCart.ShopCartRouter.InitRouter()
	this.nft.NftRouter.InitRouter()
	this.ingame.IngameRouter.InitRouter()
	this.user.UserRouter.InitRouter()
	this.activity.StackingRouter.InitRouter()
	this.activity.BitGetRouter.InitRouter()
	this.activity.ContributionRouter.InitRouter()
	this.event.EventRouter.InitRouter()
	this.recharge.RechargeRouter.InitRouter()
	this.gameswitch.GameSwitchRouter.InitRouter()
	this.vip.InitRouter()

	f5.GetSysLog().Info("routerMgr.init")

}

func (this *routerMgr) UnInit() {

}
