package shopcart

import (
	"f5"
	"main/api/v1"
	"main/middleware"
)

type ShopCartRouter struct{}

func (this *ShopCartRouter) InitRouter() {
	api := v1.ApiGroupApp.ShopCartApiGroup
	shopCartGroup := f5.GetApp().GetGinEngine().Group("/api/shopcart")
	shopCartGroup.Use(middleware.JwtAuth)
	shopCartGroup.GET("/list", api.ShopCartApi.List)
	shopCartGroup.POST("/add", api.ShopCartApi.Add)
	shopCartGroup.POST("/del", api.ShopCartApi.Del)
	shopCartGroup.POST("/clear", api.ShopCartApi.Clear)
}
