package global

import (
	"q5"
	"fmt"
	"main/constant"
	"main/common"
)

var modules [constant.MAX_MODULE_IDX]q5.Module
var initOrders = []int32 {
	constant.HANDLER_MGR_MODULE_IDX,
	constant.PLAYER_MGR_MODULE_IDX,
	constant.TEAM_MGR_MODULE_IDX,
	constant.MATCH_MGR_MODULE_IDX,
	constant.HISTORY_MGR_MODULE_IDX,
	constant.WSPLISTENER_MODULE_IDX,
}

var app common.App
var playerMgr common.PlayerMgr
var teamMgr common.TeamMgr
var matchMgr common.MatchMgr
var historyMgr common.HistoryMgr
var wspListener common.WspListener

func GetPlayerMgr() common.PlayerMgr {
	return playerMgr
}

func GetTeamMgr() common.TeamMgr {
	return teamMgr
}

func GetHistoryMgr() common.HistoryMgr {
	return historyMgr
}

func GetWspListener() common.WspListener {
	return wspListener
}

func GetApp() common.App {
	return app
}

func RegModule(idx int32, m q5.Module) {
	fmt.Printf("RegModule module %d\n", idx)
	modules[idx] = m
	switch (idx) {
	case constant.APP_MODULE_IDX:
		{
			app = m.(common.App)
		}
	case constant.WSPLISTENER_MODULE_IDX:
		{
			wspListener = m.(common.WspListener)
		}
	case constant.HANDLER_MGR_MODULE_IDX:
		{
			//wspListener = m.(.common.H)
		}
	case constant.PLAYER_MGR_MODULE_IDX:
		{
			playerMgr = m.(common.PlayerMgr)
		}
	case constant.TEAM_MGR_MODULE_IDX:
		{
			teamMgr = m.(common.TeamMgr)
		}
	case constant.HISTORY_MGR_MODULE_IDX:
		{
			historyMgr = m.(common.HistoryMgr)
		}
	case constant.MATCH_MGR_MODULE_IDX:
		{
			matchMgr = m.(common.MatchMgr)
		}
	default:
		{
			panic("unknow module")
		}
	}
}

func InitModules() {
	for _, val := range(initOrders) {
		fmt.Printf("init module %d\n", val)
		modules[val].Init()
	}
}

func UnInitModules() {
	for _, val := range(initOrders) {
		fmt.Printf("unInit module %d", val)
		modules[val].UnInit()
	}
}
