package history

import (
	"q5"
	"f5"
)

type user struct {
	accountId string
	mapAndModeHash map[int64]int32
	timerWp *f5.TimerWp
}

func (this *user) init() {
	this.mapAndModeHash = make(map[int64]int32)
}

func (this *user) unInit() {
}

func (this *user) addBattle(mapId int32, modeId int32) {
	this.mapAndModeHash[q5.MkInt64(mapId, modeId)] = q5.ToInt32(f5.GetApp().GetRealSeconds())
	if this.timerWp == nil {
		this.timerWp = f5.GetTimer().SetTimeoutWp(
			1000 * 60 * 10,
			func (e int32, args *q5.Args) {
				if e == q5.TIMER_EXEC_EVENT {
					_historyMgr.removeUser(this.accountId)
				}
			})
	} else {
		f5.GetTimer().ModifyTimer(this.timerWp, 1000 * 60 * 10)
	}
}
