package mt

import (
	"f5"
	"main/mtb"
)

type Config struct {
	mtb.Config
}

type ConfigTable struct {
	f5.IdMetaTable[Config]
	selfConf *Config
}

func (this *Config) Init1() {
	if this.GetAutoStartTime() < 30 {
		panic("config.auto_start_time config error")
	}
	if this.GetGameStartNotifyTime() < 3 || this.GetGameStartNotifyTime() > 35 {
		panic("config.game_start_notify_time config error")
	}
}

func (this *ConfigTable) PostInit1() {
	this.selfConf = this.GetById(int64(0))
	if this.selfConf == nil {
		panic("无法读取config.json")
	}
}

func (this *ConfigTable) Get() *Config {
	return this.selfConf
}
