package mt

import (
	"q5"
	"f5"
	"main/mtb"
)

type MatchCluster struct {
	mtb.MatchCluster
}

type MatchClusterTable struct {
	f5.IdMetaTable[MatchCluster]
	selfConf *MatchCluster
	serverInfo string
}

func (this *MatchCluster) Init1() {

}

func (this *MatchClusterTable) GetIp() string {
	if f5.IsTestEnv() {
		return "127.0.0.1"
	} else {
		return q5.GetLocalIP()
	}
}

func (this *MatchClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *MatchClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *MatchClusterTable) GetServerInfo() string {
	return this.serverInfo
}

func (this *MatchClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("matchserver集群无法读取本服配置")
	}
	this.serverInfo = this.GetIp() + ":" + q5.ToString(this.GetListenPort())
}
