package mt

import (
	"f5"
)

type table struct {
	MatchCluster *MatchClusterTable
	MasterCluster *MasterClusterTable
	Config *ConfigTable
	Robot *RobotTable
}

var Table = f5.New(func (this* table) {
	this.MatchCluster = f5.New(func (this *MatchClusterTable) {
		this.FileName = "../config/matchserver.cluster.json"
		this.PrimKey = "instance_id"
	});

	this.MasterCluster = f5.New(func (this *MasterClusterTable) {
		this.FileName = "../config/master.cluster.json"
		this.PrimKey = "instance_id"
	});

	this.Config = f5.New(func (this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	});

	this.Robot = f5.New(func (this *RobotTable) {
		this.FileName = "../res/robot@robot.json"
		this.PrimKey = ""
	});

})
