package mtb

import (
        "f5"
)

type MatchCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type MasterCluster struct {
        instance_id int32
        ip string
        listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        gameapi_url string
        auto_start_time int32
        game_start_notify_time int32
        delay_delete_time int32
        friendapi_url string
        match_real_player int32
        circuit_mode_interval_time int32

        _flags1_ uint64
        _flags2_ uint64
}

type Robot struct {
        id int32
        name string
        hero_id int32

        _flags1_ uint64
        _flags2_ uint64
}

func (this *MatchCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *MatchCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MatchCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *MatchCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MatchCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *MatchCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *MasterCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *MasterCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MasterCluster) GetIp() string {
        return this.ip
}

func (this *MasterCluster) HasIp() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MasterCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *MasterCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Config) GetGameapiUrl() string {
        return this.gameapi_url
}

func (this *Config) HasGameapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Config) GetAutoStartTime() int32 {
        return this.auto_start_time
}

func (this *Config) HasAutoStartTime() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Config) GetGameStartNotifyTime() int32 {
        return this.game_start_notify_time
}

func (this *Config) HasGameStartNotifyTime() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Config) GetDelayDeleteTime() int32 {
        return this.delay_delete_time
}

func (this *Config) HasDelayDeleteTime() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Config) GetFriendapiUrl() string {
        return this.friendapi_url
}

func (this *Config) HasFriendapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Config) GetMatchRealPlayer() int32 {
        return this.match_real_player
}

func (this *Config) HasMatchRealPlayer() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *Config) GetCircuitModeIntervalTime() int32 {
        return this.circuit_mode_interval_time
}

func (this *Config) HasCircuitModeIntervalTime() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Robot) GetId() int32 {
        return this.id
}

func (this *Robot) HasId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Robot) GetName() string {
        return this.name
}

func (this *Robot) HasName() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Robot) GetHeroId() int32 {
        return this.hero_id
}

func (this *Robot) HasHeroId() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}


func (this *MatchCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *MasterCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.ip, "ip", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 3, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameapi_url, "gameapi_url", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.auto_start_time, "auto_start_time", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.game_start_notify_time, "game_start_notify_time", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.delay_delete_time, "delay_delete_time", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.friendapi_url, "friendapi_url", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.match_real_player, "match_real_player", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.circuit_mode_interval_time, "circuit_mode_interval_time", &this._flags1_, 7, kv)
}

func (this *Robot) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.name, "name", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.hero_id, "hero_id", &this._flags1_, 3, kv)
}
