package team

import (
	"q5"
	"f5"
	"cs"
	"main/common"
	"main/mt"
	. "main/global"
)

type teamMgr struct {
	cs.MsgHandlerImpl
	curIdx int64
	teamUuidHash    map[string]*team
	lastBattleHash  map[string]*team
}

func (this *teamMgr) Init() {
	this.teamUuidHash = make(map[string]*team)
	this.curIdx = f5.GetApp().GetNowSeconds()
}

func (this *teamMgr) UnInit() {
}

func (this *teamMgr) CreateTeam(hum common.Player, msg *cs.CMLogin, mapInfo* common.MapInfoRsp) common.Team {
	var copyIdx int32 = 0
	teamUuid := this.genTeamUuid(hum.GetZoneId(), hum.GetNodeId(), copyIdx)
	team := newTeam()
	team.init(copyIdx, hum.GetZoneId(), hum.GetNodeId(), teamUuid, hum, mapInfo)
	this.teamUuidHash[team.teamUuid] = team
	this.addTeam(team)
	return team
}

func (this *teamMgr) addTeam(team *team) {
	this.teamUuidHash[team.teamUuid] = team
}

func (this *teamMgr) genTeamUuid(zoneId int32, nodeId int32, copyIdx int32) string {
	teamUuid := ""
	for true {
		teamUuid = this.internalGenTeamUuid(zoneId, nodeId, copyIdx)
		if this.GetTeamByUuid(teamUuid) == nil {
			return teamUuid
		}
	}
	panic("genTeamUuid error")
}

func (this *teamMgr) internalGenTeamUuid(zoneId int32, nodeId int32, copyIdx int32) string {
	this.curIdx++
	teamUuid := q5.ToString(nodeId) + "_" + q5.ToString(zoneId) + "_" + q5.ToString(copyIdx) + "_" +
		q5.Md5Str(q5.ToString(f5.GetApp().NewGlobalUuid()) + q5.ToString(f5.GetApp().GetPid()) +
			q5.ToString(this.curIdx) +
			mt.Table.MatchCluster.GetIp() + "520d8eAbB(8cf1^#$^&!@d833a42c820432PDAFE^^)")
	return teamUuid
}

func (this *teamMgr) GetTeamByUuid(teamUuid string) common.Team {
	team, ok := this.teamUuidHash[teamUuid]
	if ok {
		return team
	}
	return nil
}

func (this *teamMgr) OnEnterNewUser(hum common.Player) {
	GetHistoryMgr().PushLastBattleInfo(hum)
}

func (this *teamMgr) removeTeam(teamUuid string) {
	delete(this.teamUuidHash, teamUuid)
}
