package middleware

import (
	"f5"
	"main/service"

	"github.com/gin-gonic/gin"
)

func Marquee(c *gin.Context) {
	reqObj := struct {
		Content  string `json:"content"`
		Loop     int32  `json:"loop"`
		Interval int32  `json:"interval"`
	}{}

	if err := c.ShouldBindJSON(&reqObj); err != nil {
		f5.RspErr2(c, 1, err.Error())
		return
	}

	rsp := service.MqConsumer.RequestMarquee(reqObj.Content, reqObj.Loop, reqObj.Interval)
	var code int32 = 0
	if rsp != "" {
		code = 1
	}
	f5.RspErr2(c, code, rsp)
}
