package mtb

import (
        "f5"
)

type MqconsumeCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        mqproxy_url string
        notice_url string
        notice_channel_id string

        _flags1_ uint64
        _flags2_ uint64
}

type ConfDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

func (this *MqconsumeCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *MqconsumeCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MqconsumeCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *MqconsumeCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MqconsumeCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *MqconsumeCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Config) GetMqproxyUrl() string {
        return this.mqproxy_url
}

func (this *Config) HasMqproxyUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Config) GetNoticeUrl() string {
        return this.notice_url
}

func (this *Config) HasNoticeUrl() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Config) GetNoticeChannelId() string {
        return this.notice_channel_id
}

func (this *Config) HasNoticeChannelId() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *ConfDb) GetHost() string {
        return this.host
}

func (this *ConfDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *ConfDb) GetPort() int32 {
        return this.port
}

func (this *ConfDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *ConfDb) GetUser() string {
        return this.user
}

func (this *ConfDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *ConfDb) GetPasswd() string {
        return this.passwd
}

func (this *ConfDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *ConfDb) GetDatabase() string {
        return this.database
}

func (this *ConfDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *ConfDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *ConfDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *ConfDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *ConfDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}


func (this *MqconsumeCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.mqproxy_url, "mqproxy_url", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.notice_url, "notice_url", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.notice_channel_id, "notice_channel_id", &this._flags1_, 3, kv)
}

func (this *ConfDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}
