package app

import (
	"f5"
	"main/constant"
	"main/mt"
)

type app struct {
	initCb   func()
	unInitCb func()
}

func (this *app) GetPkgName() string {
	return "mqproxy"
}

func (this *app) GetHttpListenPort() int32 {
	return mt.Table.MqproxyCluster.GetHttpListenPort()
}

func (this *app) Run(initCb func(), unInitCb func()) {
	this.initCb = initCb
	this.unInitCb = unInitCb
	f5.Run(this)
}

func (this *app) Init() {
	f5.LoadMetaTable(mt.Table)
	this.registerDataSources()
	this.initCb()
}

func (this *app) UnInit() {
	this.unInitCb()
}

func (this *app) Update() {
}

func (this *app) registerDataSources() {
	f5.GetGoStyleDb().RegisterDataSource(
		constant.CONF_DB,
		mt.Table.ConfDb.GetById(0).GetHost(),
		mt.Table.ConfDb.GetById(0).GetPort(),
		mt.Table.ConfDb.GetById(0).GetUser(),
		mt.Table.ConfDb.GetById(0).GetPasswd(),
		mt.Table.ConfDb.GetById(0).GetDatabase(),
		1,
		mt.Table.ConfDb.GetById(0).GetMaxOpenConns(),
		mt.Table.ConfDb.GetById(0).GetMaxIdleConns())
}

func (this *app) HasTask() bool {
	return false
}
