package global

import (
	"fmt"
	"main/common"
	"main/constant"
	"q5"
)

var modules [constant.MAX_MODULE_IDX]q5.Module
var initOrders = []int32{
	constant.SERVICE_MGR_MODULE_IDX,
	constant.ROUTER_MODULE_IDX,
	constant.LISTENER_MODULE_IDX,
}

var app common.App
var serviceMgr common.ServiceMgr

func GetApp() common.App {
	return app
}

func GetServiceMgr() common.ServiceMgr {
	return serviceMgr
}

func RegModule(idx int32, m q5.Module) {
	fmt.Printf("RegModule module %d\n", idx)
	modules[idx] = m
	switch idx {
	case constant.APP_MODULE_IDX:
		{
			app = m.(common.App)
		}
	case constant.SERVICE_MGR_MODULE_IDX:
		{
			serviceMgr = m.(common.ServiceMgr)
		}
	case constant.ROUTER_MODULE_IDX:
		{

		}
	case constant.LISTENER_MODULE_IDX:
		{
		}
	default:
		{
			panic("unknow module")
		}
	}
}

func InitModules() {
	for _, val := range initOrders {
		fmt.Printf("init module %d\n", val)
		modules[val].Init()
	}
}

func UnInitModules() {
	for _, val := range initOrders {
		fmt.Printf("unInit module %d", val)
		modules[val].UnInit()
	}
}
