package middleware

import (
	"f5"
	"main/service"
	"net/http"

	"github.com/gin-gonic/gin"
)

func Subscribe(c *gin.Context) {
	topic := c.DefaultQuery("topic", "")
	channel := c.DefaultQuery("channel", "")
	noticeurl := c.DefaultQuery("noticeurl", "")

	if topic == "" || channel == "" {
		c.String(http.StatusOK, "1")
		c.Abort()
		return
	}

	service.MqManager.SubscribeChannel(topic, channel, noticeurl)
	f5.GetSysLog().Debug("subscribe:%s, %s, %s", topic, channel, noticeurl)
	c.String(http.StatusOK, "")
}

func Unsubscribe(c *gin.Context) {
	topic := c.DefaultQuery("topic", "")
	channel := c.DefaultQuery("channel", "")

	if topic == "" || channel == "" {
		c.String(http.StatusOK, "1")
		c.Abort()
		return
	}

	service.MqManager.UnsubscribeChannel(topic, channel)
	c.String(http.StatusOK, "")
}

func Consume(c *gin.Context) {
	topic := c.DefaultQuery("topic", "")
	channel := c.DefaultQuery("channel", "")

	if topic == "" || channel == "" {
		c.String(http.StatusOK, "1")
		c.Abort()
		return
	}

	msg := service.MqManager.ConsumeTopic(topic, channel)
	f5.GetSysLog().Debug("consume:%s, %s, %s", topic, channel, msg)
	c.String(http.StatusOK, msg)
}
