package mt

import (
	"f5"
	"main/mtb"
	"net/url"
)

type Config struct {
	mtb.Config
	redirectHost string
}

type ConfigTable struct {
	f5.IdMetaTable[Config]
	selfConf *Config
}

func (this *Config) Init1() {
	u, err := url.Parse(this.GetRedirectUrl())
	if err != nil {
		panic(err)
	}
	this.redirectHost = u.Host
}

func (this *ConfigTable) GetGameSApiUrl() string {
	return this.selfConf.GetGamesapiUrl()
}

func (this *ConfigTable) GetRedirectUrl() string {
	return this.selfConf.GetRedirectUrl()
}

func (this *ConfigTable) GetRedirectHost() string {
	return this.selfConf.redirectHost
}

func (this *ConfigTable) GetSecretKey() string {
	return this.selfConf.GetSecretKey()
}

func (this *ConfigTable) GetRedirectSecretKey() string {
	return this.selfConf.GetRedirectSecretKey()
}

func (this *ConfigTable) GetMaxConcurrentNum() int32 {
	return this.selfConf.GetMaxConcurrentNum()
}

func (this *ConfigTable) PostInit1() {
	this.selfConf = this.GetById(int64(0))
	if this.selfConf == nil {
		panic("mqproxy config无法读取本服配置")
	}
}
