package nft

import (
	"q5"
	"f5"
	"main/mt"
	"jccommon"
	"main/common"
	"github.com/gin-gonic/gin"
)

type NftMetaApi struct {

}

func (this *NftMetaApi) Hero(c *gin.Context) {
	netId := c.Param("netId")
	tokenId := c.Param("tokenId")
	f5.GetHttpCliMgr().SendGoStyleRequest(
		mt.Table.Config.GetGameApiUrl() + "/webapp/index.php",
		map[string]string{
			"c": "OutAppNft",
			"a": "nftMetaView",
			"net_id": netId,
			"token_type": q5.ToString(jccommon.NFT_TYPE_CFHERO),
			"token_id": tokenId,
		},
		func (rsp f5.HttpCliResponse) {
			c.Data(200, "application/json", []byte(rsp.GetRawData()))
		})
}

func (this *NftMetaApi) NewHero(c *gin.Context) {
	netId := c.Param("netId")
	tokenId := c.Param("tokenId")
	f5.GetHttpCliMgr().SendGoStyleRequest(
		mt.Table.Config.GetGameApiUrl() + "/webapp/index.php",
		map[string]string{
			"c": "OutAppNft",
			"a": "nftMetaView",
			"net_id": netId,
			"token_type": q5.ToString(jccommon.NFT_TYPE_CFHERO_NORMAL),
			"token_id": tokenId,
		},
		func (rsp f5.HttpCliResponse) {
			c.Data(200, "application/json", []byte(rsp.GetRawData()))
		})
}

func (this *NftMetaApi) GoldBullion(c *gin.Context) {
	netId := c.Param("netId")
	tokenId := c.Param("tokenId")
	f5.GetHttpCliMgr().SendGoStyleRequest(
		mt.Table.Config.GetGameApiUrl() + "/webapp/index.php",
		map[string]string{
			"c": "OutAppNft",
			"a": "nftMetaView",
			"net_id": netId,
			"token_type": q5.ToString(jccommon.NFT_TYPE_GOLD_BULLION),
			"token_id": tokenId,
		},
		func (rsp f5.HttpCliResponse) {
			c.Data(200, "application/json", []byte(rsp.GetRawData()))
		})
}

func (this *NftMetaApi) HeroHome(c *gin.Context) {
	meta := mt.Table.NftHomeMeta.GetHeroMeta()
	rspObj := new(common.NftHomeMeta)
	if meta != nil {
		rspObj.Name = meta.GetNftName()
		rspObj.Symbol = meta.GetNftSymbol()
		rspObj.Description = meta.GetNftDescription()
		rspObj.Image = meta.GetNftImage()
		rspObj.ExternalLink = meta.GetNftExternalLink()
	}
	c.JSON(200, rspObj)
}

func (this *NftMetaApi) NewHeroHome(c *gin.Context) {
	meta := mt.Table.NftHomeMeta.GetNewHeroMeta()
	rspObj := new(common.NftHomeMeta)
	if meta != nil {
		rspObj.Name = meta.GetNftName()
		rspObj.Symbol = meta.GetNftSymbol()
		rspObj.Description = meta.GetNftDescription()
		rspObj.Image = meta.GetNftImage()
		rspObj.ExternalLink = meta.GetNftExternalLink()
	}
	c.JSON(200, rspObj)
}

func (this *NftMetaApi) GoldBullionHome(c *gin.Context) {
	meta := mt.Table.NftHomeMeta.GetGoldBullionMeta()
	rspObj := new(common.NftHomeMeta)
	if meta != nil {
		rspObj.Name = meta.GetNftName()
		rspObj.Symbol = meta.GetNftSymbol()
		rspObj.Description = meta.GetNftDescription()
		rspObj.Image = meta.GetNftImage()
		rspObj.ExternalLink = meta.GetNftExternalLink()
	}
	c.JSON(200, rspObj)
}
