package mtb

import (
        "f5"
)

type NftServerCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type NftDb struct {
        host string
        port int32
        user string
        passwd string
        database string

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        gameapi_url string

        _flags1_ uint64
        _flags2_ uint64
}

type NftHomeMeta struct {
        name string
        nft_name string
        nft_symbol string
        nft_description string
        nft_image string
        nft_external_link string

        _flags1_ uint64
        _flags2_ uint64
}

func (this *NftServerCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *NftServerCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *NftServerCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *NftServerCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *NftServerCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *NftServerCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *NftDb) GetHost() string {
        return this.host
}

func (this *NftDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *NftDb) GetPort() int32 {
        return this.port
}

func (this *NftDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *NftDb) GetUser() string {
        return this.user
}

func (this *NftDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *NftDb) GetPasswd() string {
        return this.passwd
}

func (this *NftDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *NftDb) GetDatabase() string {
        return this.database
}

func (this *NftDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Config) GetGameapiUrl() string {
        return this.gameapi_url
}

func (this *Config) HasGameapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *NftHomeMeta) GetName() string {
        return this.name
}

func (this *NftHomeMeta) HasName() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *NftHomeMeta) GetNftName() string {
        return this.nft_name
}

func (this *NftHomeMeta) HasNftName() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *NftHomeMeta) GetNftSymbol() string {
        return this.nft_symbol
}

func (this *NftHomeMeta) HasNftSymbol() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *NftHomeMeta) GetNftDescription() string {
        return this.nft_description
}

func (this *NftHomeMeta) HasNftDescription() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *NftHomeMeta) GetNftImage() string {
        return this.nft_image
}

func (this *NftHomeMeta) HasNftImage() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *NftHomeMeta) GetNftExternalLink() string {
        return this.nft_external_link
}

func (this *NftHomeMeta) HasNftExternalLink() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}


func (this *NftServerCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *NftDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameapi_url, "gameapi_url", &this._flags1_, 1, kv)
}

func (this *NftHomeMeta) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.name, "name", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.nft_name, "nft_name", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.nft_symbol, "nft_symbol", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.nft_description, "nft_description", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.nft_image, "nft_image", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.nft_external_link, "nft_external_link", &this._flags1_, 7, kv)
}
