package mt

import (
	"f5"
)

type table struct {
	MailCluster *MailClusterTable
	MailDb      *MailDbTable
	Config      *ConfigTable
}

var Table = f5.New(func(this *table) {
	this.MailCluster = f5.New(func(this *MailClusterTable) {
		this.FileName = "../config/mailserver.cluster.json"
		this.PrimKey = "instance_id"
	})

	this.MailDb = f5.New(func(this *MailDbTable) {
		this.FileName = "../config/maildb.mysql.json"
		this.PrimKey = ""
	})

	this.Config = f5.New(func(this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	})
})
