package mtb

import (
        "f5"
)

type MailCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type MailDb struct {
        host string
        port int32
        user string
        passwd string
        database string

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        gameapi_url string
        session_expire_time int32

        _flags1_ uint64
        _flags2_ uint64
}

func (this *MailCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *MailCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MailCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *MailCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MailCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *MailCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *MailDb) GetHost() string {
        return this.host
}

func (this *MailDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MailDb) GetPort() int32 {
        return this.port
}

func (this *MailDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MailDb) GetUser() string {
        return this.user
}

func (this *MailDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *MailDb) GetPasswd() string {
        return this.passwd
}

func (this *MailDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *MailDb) GetDatabase() string {
        return this.database
}

func (this *MailDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Config) GetGameapiUrl() string {
        return this.gameapi_url
}

func (this *Config) HasGameapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Config) GetSessionExpireTime() int32 {
        return this.session_expire_time
}

func (this *Config) HasSessionExpireTime() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}


func (this *MailCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *MailDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameapi_url, "gameapi_url", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.session_expire_time, "session_expire_time", &this._flags1_, 2, kv)
}
